******************************
* iBETA F4 HEX Patch History *
******************************



v0.01 01/10/2000 Changes
========================
  - Fixed wingman/element formations
  - Fixed "Fluid 4" formation
  - Fixed tanks firing ATGMs, wrong weapon configurations and wrong ammo load
  - Fixed Mig-29 A2A missile preference in campaigns (Mean Mig)


v0.02 01/12/2000 Changes
========================
  - Fixed Mig-19 radar
  - Fixed AA-1 and AA-2R missile (from IR to SARH)


v0.03 01/13/2000 Changes
========================
  - Fixed AA-10B and AA-11 missiles (from "IR Rear Aspect" seeker to "IR
    All Aspect" seeker)
  - Fixed AA-10A and AA-10C missiles (from ARH to SARH)


v0.04 01/14/2000 Changes
========================
  - Fixed AGM-45 ARM
  - Additional fix for AA-1 and AA-2R missile (this changes/expands changes
    done in v0.02 #2)


v0.05 01/15/2000 Changes
========================
  - Fixed AGM-65 A,B,D,G seeker
  - Added functional AS-10, AS-11 and AS-12 missiles for OPFOR


v0.06 01/22/2000 Changes
========================
  - Added data for ground vehicles and units (this erases previous fixes in
    v0.01 #3)


v0.07 01/23/2000 Changes
========================
  - Added functional TOW, AT-2/3/4/5/6 and AGM-114 ATGMs
  - Fixed US Patriot, Hawk and Nike Hercules SAMs
  - Fixed misc inconsistencies with non-missile weapons internal linking
  - Fixed AIM-9P missile
  - Fixed AA-2 missile
  - Rename fix for AA-2R missile and SA-2 and SA-3 SAMs
  - Fixed AA-12, AA-8, AA-8R and AA-3
  - Fixed SA-19, ADATS, Stinger and Chaparral
  - Added functional AS-7 and AS-12 missiles for OPFOR
  - Fixed inconsistencies with LAU-3/A, UB-19-57 and UB-32-57
  - Fixed inconsistencies with OPFOR bomb weapons internal linking
  - Added functional AT-4 CG, Dragon, RPG-7 and LAW
  - Tweaked AS-7, AS-10 and AS-14 missiles for OPFOR


v0.08 01/24/2000 Changes
========================
  - Added ground weapons blast radius fix
  - Enabled back the AGM-88 capability for F-4G
  - Enabled landing gear on AI airplanes ("fly any plane")


v0.09 01/31/2000 Changes
========================
  - Additional fix for Dragon
  - Added functional LAAW (Light Anti Armour Weapon)
  - Additional fix for M5 Rifle (i.e. broken LAW conversion)
  - Additional fix for Hellfire (i.e. broken AT-4 CG conversion)
  - Additional fix for AGM-114
  - Fix for various ground unit weapons
  - Fixed broken "Vector to..." message


v0.10 02/04/2000 Changes
========================
  - Fixed Fuel tanks that were accidentally changed in v0.09
  - Changed ranges of all weapons back to v1.08 original values


v0.11 02/15/2000 Changes
========================
  - Additional adjustment for weapon blast/damage and vehicle armour
  - Additional fix for various ground units


v0.12 02/16/2000 Changes
========================
  - Additional fix for formations


v0.13 02/24/2000 Changes
========================
  - Adjustment for repair times to certain objects
  - Adjustment for aircraft weight and fuel
  - Adjustment for some weapon ranges
  - Additional adjustment for weapon blast/damage and vehicle armour
  - Rename of napalm weapon to Mk-77
  - Additional fix for ground units
  - Fix for AI "abort/cowardice" behavior
  - Additional fix for AA-2, AA-2R, AIM-9L and AIM-9P
  - Decoupled data for AA-10A and AA-10C missile (+ rename fix for AA-10B)


v0.14 02/28/2000 Changes
========================
  - Additional rename fix for AGM-65 A/B/D/G and AIM-9M
  - Additional fix for AA-10B
  - Additional fix for AA-3, AGM-65 D/G, Chaparral, Stinger and SA-7/9/13/14
  - Additional adjustment for weapon blast/damage and vehicle armour
  - Additional fix for ground units
  - Fix to enable flying all AI airplanes
  - Enabled flight model limiters for all aircraft


v0.15 03/18/2000 Changes
========================
  - Additional fix for voice (comm) messages
  - Added functional AT-9 (Vikhr) ATGM
  - Fixed misc inconsistencies with several weapons internal linking
  - Additional fix for AA-10B
  - Additional fix for AA-10C
  - RWR fix for Nike Hercules SAM
  - RWR fix for ground based search radar and AWACS
  - Additional fix for ground units
  - Additional adjustment for weapon blast/damage
  - Additional fix for some weapons and vehicles
  - Additional fix for some squadron stores
  - Additional fix for aircraft weight and fuel
  - Fix for more "Escort" and "SEAD Escort" missions in campaign
  - Fix for BDA mission reduction in campaign ATO
  - Fix for comms (AWACS, Tower, Tanker, Wingman/Element/Flight)
  - Additional fix for AI "abort/cowardice" behavior
  - Additional fix for AA-1/2/2R/7/7R/8/10A/10B/10C/11/12 and AIM-9P/9M/7/120
  - Additional fix for AA-12
  - Added AA-12 to Su-27 and AA-10C to Mig-29
  - Temporary fix for ATGMs


v0.16 03/31/2000 Changes
========================
  - Bubble slider fix
  - Additional fix for AS-10
  - Temporary removal of "abort/cowardice" fix
  - AA-6 and AA-6R fix
  - Additional fix for all A2A missiles
  - Additional adjustment for weapon blast/damage
  - Additional fix for ground units and weapons
  - Rename fix for F/A-18A (to F/A-18C)
  - Fix for "Ignore some aircraft" bug
  - Fix for "Player wearing 'Target' sign on his back"
  - Fix for default bubble deaggregation ranges
  - SAM deaggregation, acquire and engagement ranges
  - Mig-29 hardpoint fix for campaign A2A weapon usage


v0.17 04/02/2000 Changes
========================
  - Additional fix for default bubble deaggregation ranges
  - Additional fix for SAM deaggregation, acquire and engagement ranges


v0.18 04/08/2000 Changes
========================
  - Extended ".icd" and ".rcd" files for further growth
  - Rename fix for Chaparral (to KSAM/Chun-Ma)
  - Fixed HN-5A
  - Additional adjustment for weapon blast/damage
  - Additional fix for ground units and weapons
  - A2A missile range fix
  - Fix for B-1B landing gear ("fly any plane")
  - SAM fixes for SA-2/5/8/9/13/19 and Hawk
  - Additional SAM deaggregation, acquire and engagement ranges
  - Additional fix for voice (comm) messages
  - Additional Mig-29 hardpoint fix for campaign A2A weapon usage
  - Rename fix for CBU-89B (to CBU-97)


v0.19 04/14/2000 Changes
========================
  - Additional fix for SAM deaggregation, acquire and engagement ranges
  - Additional fix for Mig-19 
  - Additional fix for aircraft payload (hardpoints)
  - Additional adjustment for weapon blast/damage
  - Additional fix for ground units and weapons
  - Additional fix for some squadron stores
  - Additional A2A missile range fix
  - Additional SAM fixes (SA-2/5/6/9/14/19 and Hawk)
  - Additional fix for SA-5 SAM
  - Additional fix for comms (AWACS, Tower, Tanker, Wingman/Element/Flight)
  - F4 pilot names database changed
  - Fix for more realistic AIM-9M Sidewinder "growl"
  - Additional adjustment for aircraft fuel values


v0.20 04/21/2000 Changes
========================
  - Additional fix for missiles (A2A and SAM)
  - Graphical changes to several weapons and vehicles
  - Rename fix for several vehicles and weapons
  - Fix for runway section repair time
  - Additional fix for ground units and weapons
  - Additional adjustment for weapon blast/damage
  - Sound fix for prop aircraft
  - Additional fix for default bubble deaggregation ranges
  - Fix for "Force Feedback"


v0.21 04/29/2000 Changes
========================
  - Fix for "DevSurfaceCreateError"
  - F4 pilot names database additionally changed
  - Additional fix for missiles (A2A and SAM)
  - Graphical changes to several weapons and vehicles
  - Additional fix for ground units and weapons
  - Additional adjustment for weapon blast/damage
  - Additional fix for aircraft payload (hardpoints)
  - Fix for rocket-like weapons (FPS saver)
  - Additional fix for default bubble deaggregation ranges
  - Extended ".wld" file for further growth
  - Mig-19 hardpoint fix
  - Additional rename fix for F/A-18A (to F/A-18C) and B-52G (to B-52H)


v0.22 05/05/2000 Changes
========================
  - Additional fix for "DevSurfaceCreateError"
  - Decoupled data for AGM-65D and AGM-65G
  - Additional fix for missiles (A2A and A2G)
  - Graphical changes for AA-6 and AA-6R
  - Additional adjustment for weapon blast/damage
  - Additional fix for default bubble deaggregation ranges
  - Additional fix for aircraft payload (hardpoints)
  - Additional rename fix many weapons
  - Fix for Airbase relocation bug
  - Names database additionally changed


Note: all "h:", "v:" and "value" entries are in reference to F4 HEX XLS
      tables by Bengs and in HEX



v0.01 01/10/2000
******************************************************************************

#1 Fixed wingman/element formations
===================================

Thanks to Rodrigo "Motor" Lourenco we have correct "FORMDAT.FIL" file that
fixes erroneous "Trail", "Res Cell" and "Box" formations.


File(s) changed:
----------------
"FORMDAT.FIL" inside "\Falcon4\Zips\Simdata.ZIP" (path = \sim\ACDATA\FORMDATA)


What was changed:
-----------------
Original formation (excerpts):

3 1 2 trail
 135.0 0.0 0.165
 180.0 0.0 5.0
 178.69 0.0 5.118
 180.0 0.0 2.0

3 0 5 rescell
 135.0 0.0 0.0823
 93.138 0.0 1.060
 -90.0 0.0 1.0

3 0 6 box
 90.0 0.0 1.0
 180.0 0.0 2.0
 135.0 0.0 1.0


Changed formation (excerpts):

3 1 2 trail
 135.0 0.0 0.165
 180.0 0.0 5.0
 178.69 0.0 5.118
 180.0 0.0 5.0

3 0 5 rescell
 135.0 0.0 0.0823
 -90.0 0.0 1.0
 -93.138 0.0 1.060

3 0 6 box
 90.0 0.0 1.0
 180.0 0.0 2.0
 135.0 0.0 2.236



#2 Fixed "Fluid 4" formation
============================

The "Fluid 4" formation was missing in Wingman/Flight formation menus.


File(s) changed:
----------------
"menu.dat" in folder "\Falcon4\art\ckptart\"


What was changed:
-----------------
Original commands (excerpts):

#menu WingmanMsg AiWingman 6 0 white	WINGMAN COMMANDS
.
.
.
#page 4 0 bright_green	Formation Management 2
#item 3 0 white 0.1	1	Go Wedge
#item 3 0 white 0.1	2	Go Trail
#item 3 0 white 0.1	3	Go Ladder
#item 3 0 white 0.1	4	Go Stack
.
.
.
#menu WingmanMsg AiElement 4 0 white	ELEMENT COMMANDS
.
.
.
#page 4 0 bright_green	Formation Management 2
#item 3 0 white 0.1	1	Go Wedge
#item 3 0 white 0.1	2	Go Trail
#item 3 0 white 0.1	3	Go Ladder
#item 3 0 white 0.1	4	Go Stack


Changed commands (excerpts):

#menu WingmanMsg AiWingman 6 0 white	WINGMAN COMMANDS
.
.
.
#page 5 0 bright_green	Formation Management 2
#item 3 0 white 0.1	1	Go Wedge
#item 3 0 white 0.1	2	Go Trail
#item 3 0 white 0.1	3	Go Ladder
#item 3 0 white 0.1	4	Go Stack
#item 3 0 white 0.1	8	Go Fluid
.
.
.
#menu WingmanMsg AiElement 4 0 white	ELEMENT COMMANDS
.
.
.
#page 5 0 bright_green	Formation Management 2
#item 3 0 white 0.1	1	Go Wedge
#item 3 0 white 0.1	2	Go Trail
#item 3 0 white 0.1	3	Go Ladder
#item 3 0 white 0.1	4	Go Stack
#item 3 0 white 0.1	8	Go Fluid



#3 Tanks firing ATGMs, wrong weapon configurations and wrong ammo load fix
==========================================================================

The DPRK/Chinese/Russian tanks no longer fire ATGM (AntiTank Guided
Missiles) since this was not applicable in real life. Also several of the
wrong weapon and ammo loads were fixed.


File(s) changed:
----------------
"FALCON4.VCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

T-55 original armament:
 - Main wpn: 115mm HE [value 99 ()], 50 ammo
 - Aux:      12.7mm   [value 5F ()], 100 ammo
             7.62mm PKT [value 77 ()], 100 ammo
             AT-4 [value B0 ()], 6 ammo

T-55 changed armament by iBETA:
 - Main wpn: 105mm AP [value 62 ()], 30 ammo
 - Aux:      105mm HE [value 6B ()], 20 ammo
             12.7mm   [value 5F ()], 100 ammo
             7.62mm PKT [value 77 ()], 100 ammo


T-62 original armament:
 - Main wpn: AT-5 [value 79 ()], 6 ammo
 - Aux:      115mm HE [value 99 ()], 20 ammo
             115mm AP [value 73 ()], 20 ammo
             7.62mm Minigun [value 56 ()], 100 ammo
             12.7mm   [value 5F ()], 100 ammo

T-62 changed armament by iBETA:
 - Main wpn: 115mm AP [value 73 ()], 20 ammo
 - Aux:      115mm HE [value 99 ()], 20 ammo
             7.62mm Minigun [value 56 ()], 100 ammo
             12.7mm   [value 5F ()], 100 ammo


T-72 original armament:
 - Main wpn: 125mm AP [value 9A ()], 18 ammo
 - Aux:      125mm HE [value 9B ()], 21 ammo
             12.7mm   [value 5F ()], 50 ammo
             7.62mm Minigun [value 56 ()], 10 ammo

T-72 changed armament by iBETA:
 - Main wpn: 125mm AP [value 9A ()], 18 ammo
 - Aux:      125mm HE [value 9B ()], 21 ammo
             12.7mm   [value 5F ()], 100 ammo
             7.62mm Minigun [value 56 ()], 100 ammo


T-90 original armament:
 - Main wpn: 135mm AP [value 9C ()], 50 ammo
 - Aux:      135mm HE [value 9D ()], 50 ammo
             12.7mm   [value 5F ()], 100 ammo
             7.62mm Minigun [value 56 ()], 100 ammo

T-90 changed armament by iBETA:
 - Main wpn: 135mm AP [value 9C ()], 18 ammo
 - Aux:      135mm HE [value 9D ()], 21 ammo
             12.7mm   [value 5F ()], 100 ammo
             7.62mm Minigun [value 56 ()], 100 ammo


Type-62 (Chinese T-62) original armament:
 - Main wpn: 115mm AP [value 73 ()], 30 ammo
 - Aux:      115mm HE [value 99 ()], 30 ammo
             12.7mm   [value 5F ()], 100 ammo
             7.62mm Minigun [value 56 ()], 100 ammo

Type-62 (Chinese T-62) changed armament by iBETA:
 - Main wpn: 115mm AP [value 73 ()], 20 ammo
 - Aux:      115mm HE [value 99 ()], 20 ammo
             12.7mm   [value 5F ()], 100 ammo
             7.62mm Minigun [value 56 ()], 100 ammo


Type-80 (Chinese T-72?) original armament:
 - Main wpn: 125mm AP [value 9A ()], 50 ammo
 - Aux:      125mm HE [value 9B ()], 50 ammo
             7.62mm PKT [value 77 ()], 100 ammo
             12.7mm   [value 5F ()], 100 ammo

Type-80 (Chinese T-72?) changed armament by iBETA:
 - Main wpn: 125mm AP [value 9A ()], 18 ammo
 - Aux:      125mm HE [value 9B ()], 21 ammo
             7.62mm PKT [value 77 ()], 100 ammo
             12.7mm   [value 5F ()], 100 ammo


Type-85II (Chinese T-80?) original armament:
 - Main wpn: 125mm AP [value 9A ()], 50 ammo
 - Aux:      125mm HE [value 9B ()], 50 ammo
             12.7mm   [value 5F ()], 100 ammo
             7.62mm Minigun [value 56 ()], 100 ammo

Type-85II (Chinese T-80?) changed armament by iBETA:
 - Main wpn: 125mm AP [value 9A ()], 18 ammo
 - Aux:      125mm HE [value 9B ()], 21 ammo
             12.7mm   [value 5F ()], 100 ammo
             7.62mm Minigun [value 56 ()], 100 ammo


Type-90II (Chinese T-80?) original armament:
 - Main wpn: 125mm AP [value 9A ()], 50 ammo
 - Aux:      125mm HE [value 9B ()], 50 ammo
             12.7mm   [value 5F ()], 100 ammo
             7.62mm Minigun [value 56 ()], 100 ammo

Type-90II (Chinese T-80?) changed armament by iBETA:
 - Main wpn: 125mm AP [value 9A ()], 18 ammo
 - Aux:      125mm HE [value 9B ()], 21 ammo
             12.7mm   [value 5F ()], 100 ammo
             7.62mm Minigun [value 56 ()], 100 ammo


ZSU 23-4 original armament:
 - Main wpn: Ak-47 [value C3 ()], 100 ammo
 - Aux:      20mm AAA HE [value 69 ()], 254 ammo

ZSU 23-4 changed armament by iBETA:
 - Main wpn: 20mm AAA HE [value 69 ()], 254 ammo
 - Aux:      20mm AAA HE [value 69 ()], 254 ammo
             20mm AAA HE [value 69 ()], 254 ammo
             20mm AAA HE [value 69 ()], 254 ammo
             Ak-47 [value C3 ()], 100 ammo


ZSU 57-2 original armament:
 - Main wpn: 57mm HE AAA [value BD ()], 100 ammo

ZSU 57-2 changed armament by iBETA:
 - Main wpn: 57mm HE AAA [value BD ()], 100 ammo
 - Aux:      57mm HE AAA [value BD ()], 100 ammo


M-1A1 original armament:
 - Main wpn: 120mm AP [value 39 ()], 75 ammo
 - Aux:      120mm HE [value 1C ()], 75 ammo
             12.7mm   [value 5F ()], 50 ammo
             7.62mm Minigun [value 56 ()], 10 ammo

M-1A1 changed armament by iBETA:
 - Main wpn: 120mm AP [value 39 ()], 40 ammo
 - Aux:      120mm HE [value 1C ()], 20 ammo
             12.7mm   [value 5F ()], 100 ammo
             7.62mm Minigun [value 56 ()], 100 ammo


LAV/AT original armament:
 - Main wpn: TOW M-1046 [value 7E ()], 5 ammo
 - Aux:      TOW M-1046 [value 7E ()], 5 ammo
             25mm [value A2 ()], 254 ammo
             7.62mm Minigun [value 56 ()], 254 ammo
             M16 Rifle [value 6E ()], 100 ammo

LAV/AT changed armament by iBETA:
 - Main wpn: 25mm [value A2 ()], 254 ammo
 - Aux:      TOW M-1046 [value 7E ()], 5 ammo
             TOW M-1046 [value 7E ()], 5 ammo
             7.62mm Minigun [value 56 ()], 254 ammo
             M16 Rifle [value 6E ()], 100 ammo



#4 Fixed Mig-29 A2A missile preference in campaigns (Mean Mig)
==============================================================

This patch was last "official" file iBETA received from F4 programmers.
It's goal was to make "AA-10A" missiles "more desirable" than "AA-10B" for
Mig-29 in campaign.


File(s) changed:
----------------
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
The AA-10B and AA-10A data for "Air Blast" and "Air Hit" were exchanged.

AA-10B (IR missile):
- Original "Air Blast" value           = 1E (30)
- Changed "Mean Mig" "Air Blast" value = 19 (25)

- Original v1.08 "Air Hit" value     = 23 (35)
- Changed "Mean Mig" "Air Hit" value = 1E (30)


AA-10A (SARH missile):
- Original "Air Blast" value           = 19 (25)
- Changed "Mean Mig" "Air Blast" value = 1E (30)

- Original "Air Hit" value           = 1E (30)
- Changed "Mean Mig" "Air Hit" value = 23 (35)

******************************************************************************



v0.02 01/12/2000
******************************************************************************

#1 & #2 Fixed Mig-19 + AA-1 and AA-2R
=====================================

With this fix I made Mig-19 appear on RWR and lock-on to player before
launching AA-1 SARH missile. I also fixed AA-2R missile to SARH.


File(s) changed:
----------------
"FALCON4.VCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.CT" in folder "\Falcon4\terrdata\objects"
"FALCON4.SWD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------

a) Changed radar sound and symbol on RWR for Mig-19
---------------------------------------------------
I changed Mig-19 radar sound and symbol with J5 (Chinese Mig-19 variant).

.vcd (h:39, v:30) address 2362 changed from 00 (00) to 1D (29)


b) Changed Mig-19 "command data" for radar
------------------------------------------
I changed Mig-19 radar data with Mig-21 radar data in all instances of Mig-19
that I found.

.ct (h:0AB, v:4A) address 3667 changed from 12 (18) to 13 (19)
.ct (h:442, v:4A) address 14F0E changed from 12 (18) to 13 (19)
.ct (h:66C, v:4A) address 20878 changed from 12 (18) to 13 (19)
.ct (h:66D, v:4A) address 208C9 changed from 12 (18) to 13 (19)
.ct (h:66E, v:4A) address 2091A changed from 12 (18) to 13 (19)


c) Added new AA-1 data files
----------------------------
I added new "aa1.veh" and "aa1.dat" files to "Simdata.zip". The ".veh" files
represent the overall missile usage/presentation (inside Simdata.zip/Misdata
folder), while ".dat" represent actual performance (inside Simdata.zip/VehDef
folder).

The new "aa1.veh" is now #60 (Simdata.zip/VehDef/vehicle.lst) and "aa1.dat"
is #28 (Simdata.zip/misdata/mistypes.lst).

Note:
I created the brand new "aa1.veh" file (all SARH vehicles are same) but used
existing "aim9p.dat" file for "aa1.dat" with change to seeker type (to SARH).
This "aim9p.dat" is originally used for all non specific A2A missiles in
v1.08 F4.

Original "aim9p.dat" (excerpts):

# Seeker Type, Version
0 2


New "aa1.dat" (excerpts):

# Seeker Type, Version
6 0


d) Changed AA-1 general data
----------------------------
I changed AA-1 missile from "Rear Aspect IR" to "SARH" and pointed AA-1 data
to newly created "aa1.veh" file (Simdata.zip/VehDef).

.wcd (h:60, v:22) address 16AC changed from 22 (34) to 04 (04)
.wcd (h:60, v:38) address 16BA changed from 16 (22) to 3C (60)


e) Changed AA-1 "command data"
------------------------------
I changed AA-1 radar data with AA-2R data by changing pointer to ".swd". This
way both AA-1 and AA-2R (both SARH) have the same missile entry in ".swd" that
deals with performance.

Note:
Since both missiles are essentially in the same class this is not big harm.
In future I might extend ".swd" file and with that both missiles can get their
own ".swd" entries.

.ct (h:262, v:4D) address C14E changed from 25 (37) to 04 (04)


f) Changed AA-2R performance data
---------------------------------
I changed AA-2R performance data from IR to SARH and changed pointer to newly
created "aa1.dat" file (Simdata.zip/misdata).

.swd (h:04, v:30) address 102 from 00 (00) to 1C (28)

******************************************************************************



v0.03 01/13/2000
******************************************************************************

#1 Fixed AA-10B and AA-11 missiles
==================================

I changed the AA-10B and AA-11 missile seekers from "IR Rear Aspect" to "IR
All Aspect" seeker.

This way airplanes armed with AA-10B and/or AA-11 will fire head-on from
several miles in adequate conditions.


File(s) changed:
----------------
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------
I changed "aa10.dat" and "aa11.dat" file (inside Simdata.zip/Misdata folder).


Original "aa10.dat" and "aa11.dat" (excerpts):

# Seeker Type, Version
0 2


Changed "aa10.dat" and "aa11.dat" (excerpts):

# Seeker Type, Version
0 1



#2 Fixed AA-10A and AA-10C missiles
===================================

I changed the AA-10A and AA-10C missiles from ARH to SARH.


File(s) changed:
----------------
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------

a) Changed AA-10A and AA-10C general data
-----------------------------------------
I changed the v:36 value for AA-10A and AA-10C missiles in ".wcd"

.wcd (h:08, v:36) address 218 changed from 04 (04) to 00 (00)
.wcd (h:C2, v:36) address 2DB8 changed from 04 (04) to 00 (00)


b) Changed AA-10A and AA-10C flight data
----------------------------------------
I changed "aa10c.dat" and "aa11.dat" file (inside Simdata.zip/Misdata folder).


Original "aa10c.dat" (excerpts):

# Autopilot Bandwidth
4.000000
# Time To Go Active (sec)
25.000000
# Seeker Type, Version
1 1


Changed "aa10c.dat" (excerpts):

# Autopilot Bandwidth
0.000000
# Time To Go Active (sec)
-1.000000
# Seeker Type, Version
6 0

******************************************************************************



v0.04 01/14/2000
******************************************************************************

#1 Fixed AGM-45 ARM
===================

I added the AGM-45 missile for F-4G and erased AGM-88 HARM capability for it.


File(s) changed:
----------------
"FALCON4.WLD" in folder "\Falcon4\terrdata\objects"
"FALCON4.SSD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------

a) Changed F-4G pylon data
--------------------------
I removed AGM-88 HARM capability from F4-G hardpoint and added AGM-45
capability using "F4 Browser Editor BETA v1.3".

.wld (h:54, v:10) address 24d2 from 17 (23) to 11 (17)


b) Changed F-4G squadron weapon stock
-------------------------------------
I removed AGM-88 HARM stock (80 missiles) from F-4G squadrons and added
AGM-45 stock (80 missiles).

.ssd (h:16, v:11) address 133D from 00 (00) to 50 (80)
.ssd (h:16, v:17) address 1343 from 50 (80) to 00 (00)
.ssd (h:2F, v:11) address 2904 from 00 (00) to 50 (80)
.ssd (h:2F, v:17) address 290A from 50 (80) to 00 (00)


c) Changed AGM-45 general data
------------------------------
I changed AGM-45 explosion from "Air" to "Ground/HE".

.wcd (h:11, v:4) address 402 from 05 (05) to 02 (02)


d) Changed AGM-45 data file
---------------------------
I changed AGM-45 display properties.


Original "agm45.dat" (excerpts):

# Display
0


Changed "agm45.dat" (excerpts):

# Display
4



#2 Additional fix for AA-1 and AA-2R missile
============================================

As I noted in v0.02 I decided to add the new data lines to ".swd" file. The
functionality is exactly the same as in "v0.02 #2 e" but this way I can add
more weapons to ".swd" file. This is just a "technical" fix to ease job
in future.


File(s) changed:
----------------
"FALCON4.ct" in folder "\Falcon4\terrdata\objects"
"FALCON4.SWD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a) Added new record for AA-1 performance data
---------------------------------------------
I added new record in ".swd" file. This record was copied from AA-2R line
(both are SARH and same).

I also changed the number of records at the beginning of ".swd".

.swd address 00 from 48 (72) to 49 (73)
.swd added new record


b) Added new AA-2-2 (i.e. AA-2R) data files
-------------------------------------------
I added new "aa2r.veh" and "aa2r.dat" files to "Simdata.zip".

The new "aa2r.veh" is now #61 (Simdata.zip/VehDef/vehicle.lst) and "aa2r.dat"
is #29 (Simdata.zip/misdata/mistypes.lst).

Note:
I created the brand new "aa2r.veh" file (all SARH vehicles are same) but used
existing "aim9p.dat" file for "aa2r.dat" with change to seeker type (to SARH).
This "aim9p.dat" is originally used for all non specific A2A missiles in
v1.08 F4.


Original "aim9p.dat" (excerpts):

# Seeker Type, Version
0 2


New "aa2r.dat" (excerpts):

# Seeker Type, Version
6 0


c) Changed AA-2-2 (i.e. AA-2R) general data
-------------------------------------------
I pointed AA-2-2 data to newly created "aa2r.veh" file (Simdata.zip/VehDef).

.wcd (h:60, v:38) address 16BA changed from 16 (22) to 3D (61)


d) Changed AA-1 "command data"
------------------------------
I changed AA-1 data by changing pointer to newly created record in ".swd".

.ct (h:262, v:4D) address C14E changed from 25 (37) to 48 (72)


e) Changed AA-2-2 (i.e. AA-2R) performance data
-----------------------------------------------
I changed pointer to newly created "aa2r.dat" file (Simdata.zip/misdata).

.swd (h:04, v:30) address 102 from 1C (28) to 1D (29)


f) Cheated AA-1 performance data
--------------------------------
I checked pointer to "aa1.dat" file (Simdata.zip/misdata). This had to be done
since the new record was copied from AA-2R (see a entry).

.swd (h:48, v:30) address ED2 must be 1C (28)

******************************************************************************



v0.05 01/15/2000
******************************************************************************

#1 Fixed AGM-65 A,B,D,G seeker
==============================

The AGM-65 A,B,D,G missiles had seeker mix-up in F4 v1.08. The real world
performance (and as stated in F4 encyclopedia) is that A&B are "optical"
and "D&G" are "IR".

In F4 ".wcd" this is correct but in ".swd" and in ".dat" files the AGM-65
are linked the wrong way (A&D and B&G).


File(s) changed:
----------------
"FALCON4.SWD" in folder "\Falcon4\terrdata\objects"
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------

a) Fixed AGM-65A & AGM-65G performance data
--------------------------------------------
I changed the pointers to the ".dat" files for A&G AGM-65.

.swd (h:09, v:30) address 206 from 03 (03) to 02 (02)
.swd (h:0C, v:30) address 2A2 from 02 (02) to 03 (03)


b) Fixed AGM-65A & AGM-65G data files
-------------------------------------
I fixed the "AGM65a.veh" and "AGM65g.veh" file.


Original "AGM65a.veh" (excerpts):

# Data Idx
3

Fixed "AGM65a.veh" (excerpts):

# Data Idx
2


Original "AGM65g.veh" (excerpts):

# Data Idx
2

Fixed "AGM65g.veh" (excerpts):

# Data Idx
3



#2 Added functional AS-10, AS-11 and AS-14 missiles for OPFOR
=============================================================

I added functional AS-10, AS-11 and AS-14 missiles for OPFOR. They were
interlinked through AGMXXX record in ".swd" file and used "AGMxxx.veh" +
"agmXXX.dat" files. This didn't work at all in F4 v1.08... :-(


File(s) changed:
----------------
"FALCON4.ct" in folder "\Falcon4\terrdata\objects"
"FALCON4.SWD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------

a) Added 3 new records for AS-10, AS-11 and AS-14 performance data
------------------------------------------------------------------
I added 3 new records in ".swd" file. The AS-10 record was copied from
AGM-65D (IR seeker), the AS-11 was copied from AGM-45 (AntiRadar) and the
AS-14 was copied from AGM-65B (optical seeker).

I also changed the number of records at the beginning of ".swd".

.swd address 00 from 49 (73) to 4C (76)
.swd added 3 new records


b) Added new AS-10, AS-11 and AS-14 data files
----------------------------------------------
I added 3 new ".veh" ("as10.veh", "as11.veh" and "as14.veh") and ".dat"
("as10.dat", "as11.dat" and "as14.dat") files to "Simdata.zip".

The "as10.veh" is now #62 (Simdata.zip/VehDef/vehicle.lst) and "as10.dat"
is #30 (Simdata.zip/misdata/mistypes.lst).

The "as11.veh" is now #63 (Simdata.zip/VehDef/vehicle.lst) and "as11.dat"
is #31 (Simdata.zip/misdata/mistypes.lst).

The "as14.veh" is now #64 (Simdata.zip/VehDef/vehicle.lst) and "as14.dat"
is #32 (Simdata.zip/misdata/mistypes.lst).

Note:
For AS-10 I copied AGM-65D ".veh" and ".dat" files, for AS-11 I copied
AGM-45 ".veh" and ".dat" files, for AS-14 I copied AGM-65B ".veh" and
".dat" files.


Original "AGM65D.veh" (excerpts):

# Data Idx
3

Created "AS10.veh" (excerpts):

# Data Idx
30


Original "AGM45.veh" (excerpts):

# Data Idx
4

Created "AS11.veh" (excerpts):

# Data Idx
31


Original "AGM65B.veh" (excerpts):

# Data Idx
2

Created "AS14.veh" (excerpts):

# Data Idx
32


c) Changed AS-10, AS-11 and AS-14 performance data
--------------------------------------------------
I changed pointers to newly created ".dat" file (Simdata.zip/misdata).

.swd (h:49, v:30) address F06 from 03 (03) to 1E (30)
.swd (h:4A, v:30) address F3A from 04 (04) to 1F (31)
.swd (h:4B, v:30) address F6E from 02 (02) to 1D (32)


d) Changed AS-10, AS-11 and AS-14 general data
----------------------------------------------
I changed AS-10 and AS-14 seeker data from "Laser" to "IR" and "Optical". I
also pointed AS-10, AS-11 and AS-14 data to newly created "AS11.veh",
"AS11.veh" and "AS14.veh" files (Simdata.zip/VehDef).

.wcd (h:18, v:2A) address 5CC changed from 08 (08) to 02 (02)
.wcd (h:18, v:38) address 5DA changed from 15 (21) to 3E (62)
.wcd (h:42, v:38) address FB2 changed from 0A (10) to 40 (64)
.wcd (h:19, v:2A) address 608 changed from 08 (08) to 10 (16)
.wcd (h:19, v:38) address 616 changed from 15 (21) to 3F (63)


e) Changed AS-10, AS-11 and AS-14 "command data"
------------------------------------------------
I changed AS-10, AS-11 and AS-14 pointers to newly created ".swd" records.

.ct (h:0FC, v:4A) address 5008 changed from 26 (38) to 49 (73)
.ct (h:1BC, v:4A) address 8CC8 changed from 26 (38) to 4A (74)
.ct (h:0FD, v:4A) address 50059 changed from 26 (38) to 4B (75)

******************************************************************************



v0.06 01/22/2000
******************************************************************************

#1 Added data for ground units
==============================

This incorporation of data from Jeffery "Rhino" Babineau (Deltahawks) erases
all my previous changes in ground units.


File(s) changed:
----------------
"FALCON4.ct" in folder "\Falcon4\terrdata\objects"
"FALCON4.SSD" in folder "\Falcon4\terrdata\objects"
"FALCON4.SWD" in folder "\Falcon4\terrdata\objects"
"FALCON4.UCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.VCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WLD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
Jeffery "Rhino" Babineau (Deltahawks) will later provide details.

******************************************************************************



v0.07 01/23/2000
******************************************************************************

#1 Added functional TOW, AT-2/3/4/5/6 and AGM-114 ATGMs
=======================================================

I added functional TOW, AT-2/3/4/5/6 and AGM-114 antitank missiles. They were
interlinked through wrong records in ".swd" file and used  wrong ".veh" and
".dat" files. This didn't work at all in F4 v1.08... :-(


File(s) changed:
----------------
"FALCON4.ct" in folder "\Falcon4\terrdata\objects"
"FALCON4.SWD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------

a) Added new record for ATGM performance data
---------------------------------------------
I added new record in ".swd" file. The ATGM record was copied from AG65B.

I also changed the number of records at the beginning of ".swd".

.swd address 00 from 4C (76) to 4D (77)
.swd added 1 new record


b) Added new ATGM data files
----------------------------
I added new "atgm.veh" and "atgm.dat" files to "Simdata.zip".

The "atgm.veh" is now #65 (Simdata.zip/VehDef/vehicle.lst) and "atgm.dat"
is #33 (Simdata.zip/misdata/mistypes.lst).

Note:
For ATGM I copied "AGM65b.veh" and "atgm65b.dat" files.


Original "AGM65b.veh" (excerpts):

# Data Idx
2

Created "ATGM.veh" (excerpts):

# Data Idx
33


Original "atgm65b.dat" (excerpts):

# Final Time (sec)
30.000000
# Guidance Delay (sec)
60.000000
# Lofting Bias
2.000000

Created "atgm.dat" (excerpts):
# Final Time (sec)
7.500000
# Guidance Delay (sec)
0.000000
# Lofting Bias
0.000000



c) Changed ATGM performance data
--------------------------------
I changed pointers to newly created ".dat" file (Simdata.zip/misdata).

.swd (h:4C, v:30) address FA2 from 02 (02) to 21 (33)


d) Changed TOW, AT-2/3/4/5/6 and AGM-114 general data
-----------------------------------------------------
The TOW range was changed to 3. I changed TOW seeker data from "Radar Guided"
to "Optical", AT-2/3/4/5 from "None" to "Optical" and AGM-114 from "Laser"
to "Optical".

I also pointed TOW, AT-2/3/4/5/6 and AGM-114 data to newly created "ATGM.veh"
file (Simdata.zip/VehDef).

.wcd (h:7E, v:08) address 1D92 changed from 04 (04) to 03 (03)
.wcd (h:7E, v:2A) address 1DB4 changed from 04 (04) to 10 (16)
.wcd (h:7E, v:38) address 1DC2 changed from 15 (21) to 41 (65)
.wcd (h:5C, v:2A) address 15BC changed from 00 (00) to 10 (16)
.wcd (h:5C, v:38) address 15CA changed from 15 (21) to 41 (65)
.wcd (h:76, v:2A) address 1BD4 changed from 00 (00) to 10 (16)
.wcd (h:76, v:38) address 1BE2 changed from 15 (21) to 41 (65)
.wcd (h:B0, v:2A) address 296C changed from 00 (00) to 10 (16)
.wcd (h:B0, v:38) address 297A changed from 15 (21) to 41 (65)
.wcd (h:79, v:2A) address 1C88 changed from 00 (00) to 10 (16)
.wcd (h:79, v:38) address 1C96 changed from 15 (21) to 41 (65)
.wcd (h:5B, v:2A) address 1580 changed from 00 (00) to 10 (16)
.wcd (h:5B, v:38) address 158E changed from 15 (21) to 41 (65)
.wcd (h:0E, v:2A) address 374 changed from 08 (08) to 10 (16)
.wcd (h:0E, v:38) address 382 changed from 15 (21) to 41 (65)


e) Changed TOW, AT-2/3/4/5/6 and AGM-114 "command data"
-------------------------------------------------------
I changed TOW, AT-2/3/4/5/6 and AGM-114 pointers to newly created ".swd"
record.

.ct (h:321, v:4A) address FDBD changed from 2C (44) to 4C (76)
.ct (h:25B, v:4A) address BF17 changed from 2C (44) to 4C (76)
.ct (h:2E6, v:4A) address EB12 changed from 2C (44) to 4C (76)
.ct (h:397, v:4A) address 12313 changed from 2C (44) to 4C (76)
.ct (h:2EA, v:4A) address EC56 changed from 2C (44) to 4C (76)
.ct (h:25A, v:4A) address BEC6 changed from 26 (38) to 4C (76)
.ct (h:0F6, v:4A) address 4E22 changed from 26 (38) to 4C (76)



#2 Fixed US Patriot, Hawk and Nike Hercules SAMs
================================================

I fixed US Patriot, Hawk and Nike Hercules SAMs. They were interlinked
through Russian SAMs (SA-6, SA-13 and SA-5) record in ".swd" file and used
wrong ".veh" and ".dat" files.


File(s) changed:
----------------
"FALCON4.ct" in folder "\Falcon4\terrdata\objects"
"FALCON4.SWD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------

a) Added new records for Patriot, Hawk and Nike Hercules performance data
-------------------------------------------------------------------------
I added new record in ".swd" file. The Patriot record was coped from "SA-5",
Hawk record was copied from "SA-2" and Nike Hercules record was copied from
"SA-5"

I also changed the number of records at the beginning of ".swd".

.swd address 00 from 4D (77) to 50 (80)
.swd added 3 new records


b) Added new Patriot, Hawk and Nike Hercules data files
-------------------------------------------------------
I added 3 new ".dat" files to "Simdata.zip" ("patriot.dat", "hawk.dat" and
"nike.dat") and changed pointers in "patriot.veh", "hawk.veh"  and "nike.dat"
files to them.

The "patriot.dat" is #34, "hawk.dat" is #35  and "nike.dat" is #36 inside the
(Simdata.zip/misdata/mistypes.lst).

Note:
For Patriot and Nike Hercules I copied SA-5 ".dat" and for Hawk I copied
SA-2 ".dat" file.


Original "Patriot.veh" (excerpts):

# Data Idx
25

Changed "Patriot.veh" (excerpts):

# Data Idx
34


Original "Hawk.veh" (excerpts):

# Data Idx
27

Changed "Hawk.veh" (excerpts):

# Data Idx
35


Original "nike.veh" (excerpts):

# Data Idx
25

Changed "nike.veh" (excerpts):

# Data Idx
36


c) Changed Patriot, Hawk and Nike Hercules performance data
-----------------------------------------------------------
I changed pointers to newly created ".dat" files (Simdata.zip/misdata).

.swd (h:4D, v:30) address FD6 from 19 (25) to 22 (34)
.swd (h:4E, v:30) address 1002 from 16 (22) to 23 (35)
.swd (h:4F, v:30) address 103E from 19 (25) to 24 (36)


d) Changed Patriot, Hawk and Nike Hercules general data
-------------------------------------------------------
I pointed Patriot, Hawk and Nike Hercules data to their real ".veh" files
(Simdata.zip/VehDef).

.wcd (h:21, v:38) address 7F6 changed from 16 (22) to 37 (55)
.wcd (h:20, v:38) address 7BA changed from 11 (17) to 39 (57)
.wcd (h:6C, v:38) address 198A changed from 16 (22) to 3A (58)


e) Changed Patriot, Hawk and Nike Hercules "command data"
---------------------------------------------------------
I changed Patriot, Hawk and Nike Hercules to newly created ".swd" records.

.ct (h:100, v:4A) address 50AA changed from 2D (45) to 4D (77)
.ct (h:0FE, v:4A) address 519D changed from 3A (58) to 4E (78)
.ct (h:0FE, v:4A) address AD0E changed from 40 (64) to 4F (79)



#3 Fixed misc inconsistencies with non-missile weapons internal linking
=======================================================================

I fixed various non-missile weapons internal linking inconsistencies. Many
weapons were wrongly internally linked...


File(s) changed:
----------------
"FALCON4.ct" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a) Changed various non-missile weapons general data
---------------------------------------------------
I pointed various non-missile weapons data to their real ".veh" files
(Simdata.zip/VehDef).


Weapon name       Original            Changed

"20mm cannon"  -> "ATGM.veh"       -> "GunXXX.veh"
"BLU-107/B"    -> "stinger.veh"    -> "Mk82.veh"
"CBU-58A/B"    -> "hawk.veh"       -> "Mk82.veh"
"BSU-49"       -> "adats.veh"      -> "Mk82.veh"
"BSU-50"       -> "aa1.veh"        -> "Mk84.veh"
"BLU-27"       -> "nike.veh"       -> "Mk82.veh"
"CBU-89/B"     -> "as11.veh"       -> "Mk82.veh"
"CBU-87 CEM"   -> "as10.veh"       -> "Mk82.veh"
"Mk-20"        -> "as14.veh"       -> "Mk82.veh"
"CBU-52B/B"    -> "aa2r.veh"       -> "Mk82.veh"
"BLU-109/B"    -> "patriot.veh"    -> "Mk84.veh"
"GAU12U"       -> "chaparral.veh"  -> "GunXXX.veh"

.wcd (h:3C, v:38) address E4A changed from 41 (65) to 19 (25)
.wcd (h:41, v:38) address F76 changed from 38 (56) to 0F (15)
.wcd (h:45, v:38) address 1066 changed from 39 (57) to 0F (15)
.wcd (h:4B, v:38) address 11CE changed from 3B (59) to 0F (15)
.wcd (h:4C, v:38) address 120A changed from 3C (60) to 10 (16)
.wcd (h:4D, v:38) address 1246 changed from 3A (58) to 0F (15)
.wcd (h:4E, v:38) address 1282 changed from 3F (63) to 0F (15)
.wcd (h:4F, v:38) address 12BE changed from 3E (62) to 0F (15)
.wcd (h:50, v:38) address 12FA changed from 40 (64) to 0F (15)
.wcd (h:51, v:38) address 1336 changed from 3D (61) to 0F (15)
.wcd (h:52, v:38) address 1372 changed from 37 (55) to 10 (16)
.wcd (h:59, v:38) address 1516 changed from 36 (54) to 19 (25)


b) Changed various non-missile weapons "command data"
-----------------------------------------------------
I changed various non-missile weapons pointers to their real ".swd" records.


Weapon name       Original            Changed

"20mm cannon"  -> "PG28"           -> "GUNXXX"


.ct (h:0DA, v:4A) address 4546 changed from 37 (55) to 2B (43)



#4 Fixed AIM-9P missile
=======================

I fixed AIM-9P missile since it had wrong pointer ("aim9l.dat") and changed
it to "aim9p.dat"

File(s) changed:
----------------
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------

Original "aim9p.veh" (excerpts):

# Data Idx
0

Changed "aim9p.veh" (excerpts):

# Data Idx
9



#5 Fixed AA-2 missile
=====================

I fixed AA-2 missile since it used the AIM-9P ".dat" and ".veh" files. This
way the AA-2 can further be tweaked in future.


File(s) changed:
----------------
"FALCON4.SWD" in folder "\Falcon4\terrdata\objects"
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------

a) Added new AA-2 data files
----------------------------
I added new "aa2.veh" and "aa2.dat" files to "Simdata.zip".

The "aa2.veh" is now #66 (Simdata.zip/VehDef/vehicle.lst) and "aa.dat"
is #37 (Simdata.zip/misdata/mistypes.lst).

Note:
For AA-2 I copied AIM-9P ".veh" and ".dat" files.


Original "aim9p.veh" (excerpts):

# Data Idx
9


Created "aa2.veh" (excerpts):

# Data Idx
37


b) Changed AA-2 performance data
--------------------------------
I changed pointers to newly created ".dat" file (Simdata.zip/misdata).

.swd (h:03, v:30) address CE from 09 (09) to 25 (37)


c) Changed AA-2 general data
----------------------------
I pointed AA-2 data to newly created "aa2.veh" file (Simdata.zip/VehDef).

.wcd (h:33, v:38) address C2E changed from 0B (11) to 42 (66)



#6 Rename fix for AA-2R missile and SA-2 and SA-3 SAMs
======================================================

To avoid confusion and preserve consistency of naming I changed name of AA-2R
missile in ".wcd" file from "AA-2-2" to "AA-2R". All other things done before
(in v0.02 #2) were preserved. Same applies to SA-2 and SA-3.


File(s) changed:
----------------
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

Name of AA-2R was changed from "AA-2-2" to "AA-2R", "SA2" to "SA-2" and "SA3"
to "SA-3".



#7 Fixed AA-12, AA-8, AA-8R and AA-3
====================================

I fixed AA-12, AA-8, AA-8R and AA-3 missiles. They were interlinked through
other AAMs records in ".swd" file and used wrong ".veh" and ".dat" files.


File(s) changed:
----------------
"FALCON4.ct" in folder "\Falcon4\terrdata\objects"
"FALCON4.SWD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------

a) Added new records for AA-12, AA-8, AA-8R and AA-3 performance data
---------------------------------------------------------------------
I added 4 new records in ".swd" file. The AA-12 record was copied from
AIM-120, the AA-8 from AA-2, the AA-8r from AA-2r and AA-3 from AA-2.

I also changed the number of records at the beginning of ".swd".

.swd address 00 from 50 (80) to 54 (84)
.swd added 4 new records


b) Added new AA-12, AA-8, AA-8R and AA-3 data files
---------------------------------------------------
I added new ".veh" and ".dat" files to "Simdata.zip".

The "aa12.veh" is #67, the "aa8.veh" is #68, the "aa8r.veh" is #69 and the
"aa3.veh" is #70 in (Simdata.zip/VehDef/vehicle.lst). The "aa12.dat" is #38,
the "aa8.dat" is #39, the "aa8r.dat" is #40 and the "aa3.dat" is #41 in
(Simdata.zip/misdata/mistypes.lst).


Note:
For AA-12 I copied AIM-120 ".veh" and ".dat" files, for AA-8 I copied AA-2
".veh" and ".dat" files, for AA-8R I copied AA-2R ".veh" and ".dat" files and
for AA-3 I copied AA-2 ".veh" and ".dat" files.

Original "aim120.veh" (excerpts):

# Data Idx
1

Created "aa12.veh" (excerpts):

# Data Idx
39


Original "aa2.veh" (excerpts):

# Data Idx
37

Created "aa8.veh" (excerpts):

# Data Idx
40


Original "aa2r.veh" (excerpts):

# Data Idx
29

Created "aa8r.veh" (excerpts):

# Data Idx
41


Original "aa2.veh" (excerpts):

# Data Idx
37

Created "aa3.veh" (excerpts):

# Data Idx
42


c) Changed AA-12, AA-8, AA-8R and AA-3 performance data
-------------------------------------------------------
I changed pointers to newly created ".dat" file (Simdata.zip/misdata).

.swd (h:50, v:30) address 1072 from 01 (01) to 26 (38)
.swd (h:51, v:30) address 10A6 from 25 (37) to 27 (39)
.swd (h:52, v:30) address 10DA from 1D (29) to 28 (40)
.swd (h:53, v:30) address 110E from 25 (37) to 29 (41)


d) Changed AA-12, AA-8, AA-8R and AA-3 general data
---------------------------------------------------
I pointed AA-12, AA-8, AA-8R and AA-3 data to newly created ".veh" files
(Simdata.zip/VehDef).

.wcd (h:32, v:38) address BF2 changed from 2A (42) to 43 (67)
.wcd (h:36, v:38) address CE2 changed from 0B (11) to 44 (68)
.wcd (h:B3, v:38) address 2A2E changed from 1C (28) to 45 (69)
.wcd (h:68, v:38) address 189A changed from 16 (22) to 46 (70)


e) Changed AA-12, AA-8, AA-8R and AA-3 "command data"
-----------------------------------------------------
I changed AA-12, AA-8, AA-8R and AA-3 pointers to newly created ".swd"
records.

.ct (h:0EE, v:4A) address  4B9A changed from 02 (02) to 50 (80)
.ct (h:0E9, v:4A) address  4A05 changed from 25 (37) to 51 (81)
.ct (h:398, v:4A) address 12364 changed from 25 (37) to 52 (82)
.ct (h:289, v:4A) address CDA5 changed from 25 (37) to 53 (83)



#8 Fixed SA-19, ADATS, Stinger and Chaparral
============================================

I fixed SA-19, ADATS, Stinger and Chaparral systems. They were interlinked
through other SAMs records in ".swd" file and used wrong ".veh" and ".dat"
files.


File(s) changed:
----------------
"FALCON4.ct" in folder "\Falcon4\terrdata\objects"
"FALCON4.SWD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------

a) Added new records for SA-19, ADATS, Stinger and Chaparral performance data
-----------------------------------------------------------------------------
I added 4 new records in ".swd" file. The SA-19 record was copied from
SA-8, the ADATS from SA-8, the Stinger from SA-14 and Chaparral from SA-9.

I also changed the number of records at the beginning of ".swd".

.swd address 00 from 54 (84) to 58 (88)
.swd added 4 new records


b) Added new SA-19, ADATS, Stinger and Chaparral data files
-----------------------------------------------------------
I added new "sa19.veh" and 4 ".dat" files to "Simdata.zip".

The "sa19.veh" is #71 in (Simdata.zip/VehDef/vehicle.lst). The "sa19.dat"
is #42, the "ADATS.dat" is #43, the "Stinger.dat" is #44 and the
"Chaparral.dat" is #45 in (Simdata.zip/misdata/mistypes.lst).


Note:
For SA-19 I copied SA-8 ".veh" and ".dat" files, for ADATS I copied SA-8
".dat" file, for Stinger I copied SA-14 ".dat" file and for Chaparral I
copied SA-9 ".dat" files.

Original "sa8.veh" (excerpts):

# Data Idx
26

Created "sa19.veh" (excerpts):

# Data Idx
42


Original "adats.veh" (excerpts):

# Data Idx
20

Changed "adats.veh" (excerpts):

# Data Idx
43


Original "stinger.veh" (excerpts):

# Data Idx
18

Changed "stinger.veh" (excerpts):

# Data Idx
44


Original "chaparral.veh" (excerpts):

# Data Idx
26

Changed "chaparral.veh" (excerpts):

# Data Idx
45


c) Changed SA-19, ADATS, Stinger and Chaparral performance data
---------------------------------------------------------------
I changed pointers to newly created ".dat" file (Simdata.zip/misdata).

.swd (h:54, v:30) address 1142 from 1A (26)  to 2A (42)
.swd (h:55, v:30) address 1176 from 1A (26) to 2B (43)
.swd (h:56, v:30) address 11AA from 15 (21) to 2C (44)
.swd (h:57, v:30) address 11DE from 14 (20) to 2D (45)


d) Changed SA-19, ADATS, Stinger and Chaparral general data
-----------------------------------------------------------
I changed SA-19 and ADATS to "SARH" from "IR All Aspect" and "Laser". I also
pointed SA-19, ADATS, Stinger and Chaparral data to ".veh" files in
(Simdata.zip/VehDef).

For convenience I renamed "CHAPARRAL" to "Chaparral".

.wcd (h:84, v:2A) address 1F1C changed from 02 (02) to 04 (04)
.wcd (h:84, v:38) address 1F2A changed from 16 (22) to 47 (71)
.wcd (h:7F, v:2A) address 1DF0 changed from 08 (08) to 04 (04)
.wcd (h:7F, v:38) address 1DFE changed from 21 (33) to 3B (59)
.wcd (h:2A, v:38) address A12 changed from 01 (01) to 38 (56)
.wcd (h:83, v:38) address 1EEE changed from 01 (01) to 36 (54)


e) Changed SA-19, ADATS, Stinger and Chaparral "command data"
-------------------------------------------------------------
I changed AA-12, AA-8, AA-8R and AA-3 pointers to newly created ".swd"
records.

.ct (h:231, v:4A) address B1CD changed from 40 (64) to 54 (84)
.ct (h:322, v:4A) address FE0E changed from 44 (68) to 55 (85)
.ct (h:0FF, v:4A) address 50FB changed from 42 (66) to 56 (86)
.ct (h:326, v:4A) address FF52 changed from 42 (66) to 57 (87)



#9 Added functional AS-7 and AS-12 missiles for OPFOR
=====================================================

I added functional AS-7 and AS-12 missiles for OPFOR. They were interlinked
through wrong records in ".swd" file and used wrong ".veh" and ".dat"
files. This didn't work at all in F4 v1.08... :-(


File(s) changed:
----------------
"FALCON4.ct" in folder "\Falcon4\terrdata\objects"
"FALCON4.SWD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------

a) Added 2 new records for AS-7 and AS-12 performance data
----------------------------------------------------------
I added 2 new records in ".swd" file. The AS-7 record was copied from
AGM-65B (optical seeker) and the AS-12 was copied from AGM-88 (AntiRadar).

I also changed the number of records at the beginning of ".swd".

.swd address 00 from 58 (88) to 5A (90)
.swd added 2 new records


b) Added new AS-7 and AS-12 data files
--------------------------------------
I added 2 new ".veh" ("as7.veh" and "as12.veh") and ".dat" ("as7.dat" and
"as12.dat") files to "Simdata.zip".

The "as7.veh" is now #72 (Simdata.zip/VehDef/vehicle.lst) and "as7.dat"
is #88 (Simdata.zip/misdata/mistypes.lst).

The "as12.veh" is now #73 (Simdata.zip/VehDef/vehicle.lst) and "as12.dat"
is #89 (Simdata.zip/misdata/mistypes.lst).

Note:
For AS-7 I copied AGM-65B ".veh" and ".dat" files. For AS-12 I copied
AGM-88 ".veh" and ".dat" files.


Original "AGM65B.veh" (excerpts):

# Data Idx
2

Created "AS7.veh" (excerpts):

# Data Idx
46


Original "AGM88.veh" (excerpts):

# Data Idx
5

Created "AS12.veh" (excerpts):

# Data Idx
47


c) Changed AS-7 and AS-12 performance data
------------------------------------------
I changed pointers to newly created ".dat" file (Simdata.zip/misdata).

.swd (h:58, v:30) address 1212 from 02 (02) to 2E (46)
.swd (h:59, v:30) address 1246 from 05 (05) to 2F (47)


d) Changed AS-7 and AS-12 general data
--------------------------------------
I changed AS-7 seeker data from "None" to "Optical". I also pointed
AS-7 and AS-12 data to newly created "AS7.veh" and "AS12.veh" files
(Simdata.zip/VehDef).

.wcd (h:1A, v:2A) address 644 changed from 00 (00) to 10 (16)
.wcd (h:1A, v:38) address 652 changed from 15 (21) to 48 (72)
.wcd (h:66, v:38) address 1822 changed from 15 (21) to 49 (73)


e) Changed AS-7 and AS-12 "command data"
----------------------------------------
I changed AS-7 and AS-12 pointers to newly created ".swd" records.

.ct (h:0FA, v:4A) address 4F66 changed from 26 (38) to 58 (88)
.ct (h:267, v:4A) address CAE3 changed from 26 (38) to 59 (89)



#10 Fixed inconsistencies with LAU-3/A, UB-19-57 and UB-32-57
=============================================================

I fixed various inconsistencies with LAU-3/A, UB-19-57 and UB-32-57
unguided rockets. They were wrongly linked internally...


File(s) changed:
----------------
"FALCON4.ct" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a) Changed LAU-3/A, UB-19-57 and UB-32-57 general data
------------------------------------------------------
I pointed various non-missile weapons data to their real ".veh" files
(Simdata.zip/VehDef).


Weapon name       Original            Changed

"UB-32-57"     -> "chaparral.veh"  -> "Rcktxxx.veh"
"UB-19-57"     -> "chaparral.veh"  -> "Rcktxxx.veh"

.wcd (h:5D, v:38) address 1606 changed from 36 (54) to 02 (02)
.wcd (h:5E, v:38) address 1642 changed from 36 (54) to 02 (02)


b) Changed LAU-3/A, UB-19-57 and UB-32-57 "command data"
--------------------------------------------------------
I changed LAU-3/A, UB-19-57 and UB-32-57 pointers to their real ".swd"
records.

.ct (h:1F8, v:4A) address 9FC4 changed from 07 (07) to 38 (56)
.ct (h:25C, v:4A) address BF68 changed from 07 (07) to 38 (56)
.ct (h:25F, v:4A) address C05B changed from 07 (07) to 38 (56)



#11 Fixed inconsistencies with OPFOR bomb weapons internal linking
==================================================================

I fixed various bomb weapons internal linking inconsistencies. Many
weapons were wrongly internally linked...


File(s) changed:
----------------
"FALCON4.ct" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a) Changed various non-missile weapons general data
---------------------------------------------------
I pointed various non-missile weapons data to their US counterparts ".veh"
files (Simdata.zip/VehDef).


Weapon name        Original            Changed

"PTK-250"       -> "Mkxxx.veh"      -> "Mk82.veh"
"FAB-250 LDGP"  -> "Mkxxx.veh"      -> "Mk82.veh"
"FAB-250 HDGP"  -> "Mkxxx.veh"      -> "Mk82.veh"
"FAB-250 LGB"   -> "GBUxxx.veh"     -> "gb12.veh"
"FAB-1000 LDGP" -> "Mkxxx.veh"      -> "Mk84.veh"
"FAB-1000 HDGP" -> "Mkxxx.veh"      -> "Mk84.veh"
"FAB-1000 LGB"  -> "GBUxxx.veh"     -> "gb10.veh"
"RPK-180"       -> "Mkxxx.veh"      -> "Mk82.veh"
"RPK-500"       -> "Mkxxx.veh"      -> "Mk82.veh"


.wcd (h:65, v:38) address 17E6 changed from 1A (26) to 0F (15)
.wcd (h:A7, v:38) address 275E changed from 1A (26) to 0F (15)
.wcd (h:A8, v:38) address 279A changed from 1A (26) to 0F (15)
.wcd (h:AA, v:38) address 2812 changed from 18 (24) to 20 (32)
.wcd (h:AB, v:38) address 284E changed from 1A (26) to 10 (16)
.wcd (h:AC, v:38) address 288A changed from 1A (26) to 10 (16)
.wcd (h:AD, v:38) address 28C6 changed from 18 (24) to 1D (29)
.wcd (h:B1, v:38) address 29B6 changed from 1A (26) to 0F (15)
.wcd (h:B2, v:38) address 29F2 changed from 1A (26) to 0F (15)


b) Changed various non-missile weapons "command data"
-----------------------------------------------------
I changed various non-missile weapons pointers to their real ".swd" records.


Weapon name        Original            Changed

"PTK-250"       -> "MK82"           -> "MK20D"
"FAB-250 LDGP"  -> "MK82"           -> "MK82"
"FAB-250 HDGP"  -> "MK82"           -> "B49"
"FAB-250 LGB"   -> "GBXXX"          -> "GB12"
"FAB-1000 LDGP" -> "MK82"           -> "MK84"
"FAB-1000 HDGP" -> "MK82"           -> "B50"
"FAB-1000 LGB"  -> "GBXXX"          -> "GB10A"
"RPK-180"       -> "MK82"           -> "CB89B"
"RPK-500"       -> "MK82"           -> "CB87"


.ct (h:26D, v:4A) address C4C9 changed from 28 (40) to 33 (51)
.ct (h:316, v:4A) address FA42 changed from 28 (40) to 34 (52)
.ct (h:317, v:4A) address FA93 changed from 28 (40) to 15 (21)
.ct (h:350, v:4A) address 10C9C changed from 2A (42) to 21 (33)
.ct (h:392, v:4A) address 1217E changed from 28 (40) to 35 (53)
.ct (h:393, v:4A) address 121CF changed from 28 (40) to 16 (22)
.ct (h:394, v:4A) address 12220 changed from 2A (42) to 20 (32)
.ct (h:26E, v:4A) address C51A changed from 28 (40) to 1E (30)
.ct (h:2FB, v:4A) address F1B7 changed from 28 (40) to 1D (29)



#12 Added functional AT-4 CG, Dragon, RPG-7 and LAW
===================================================

I added functional AT-4 CG, Dragon, RPG-7 and LAW antitank missiles. They
were interlinked through wrong records in ".swd" file and used  wrong ".veh"
and ".dat" files.


File(s) changed:
----------------
"FALCON4.ct" in folder "\Falcon4\terrdata\objects"
"FALCON4.SWD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------

a) Added new record for ATM performance data
--------------------------------------------
I added new record in ".swd" file. The ATM record was copied from RCKT.

I also changed the number of records at the beginning of ".swd".

.swd address 00 from 5A (90) to 5B (91)
.swd added 1 new record


b) Added new ATM data files
---------------------------
I added new "atm.veh" and "atm.dat" files to "Simdata.zip".

The "atm.veh" is now #74 (Simdata.zip/VehDef/vehicle.lst) and "atm.dat"
is #48 (Simdata.zip/misdata/mistypes.lst).

Note:
For ATM I copied "rocket.veh" and "2_75in.dat" files.


Original "rocket.veh" (excerpts):

# Data Idx
0

Created "ATM.veh" (excerpts):

# Data Idx
48


Original "2_75in.dat" (excerpts):

# Final Time (sec)
30.000000
# Guidance Delay (sec)
60.000000

Created "atm.dat" (excerpts):

# Final Time (sec)
3.000000
# Guidance Delay (sec)
0.000000


c) Changed ATM performance data
-------------------------------
I changed pointers to newly created ".dat" file (Simdata.zip/misdata).

.swd (h:5A, v:30) address 127A from 07 (07) to 30 (48)


d) Changed AT-4 CG, Dragon, RPG-7 and LAW general data
------------------------------------------------------
I changed AT-4 CG seeker from "Laser" to "None".

I also pointed AT-4 CG, Dragon, RPG-7 and LAW data to newly created "ATM.veh"
file (Simdata.zip/VehDef).

.wcd (h:3F, v:2A) address EF0 changed from 08 (08) to 00 (00)
.wcd (h:3F, v:38) address EFE changed from 15 (21) to 4A (74)
.wcd (h:88, v:38) address 201A changed from 15 (21) to 4A (74)
.wcd (h:89, v:38) address 2056 changed from 02 (02) to 4A (74)
.wcd (h:6D, v:38) address 19C6 changed from 19 (25) to 4A (74)


e) Changed AT-4 CG, Dragon, RPG-7 and LAW "command data"
--------------------------------------------------------
I changed AT-4 CG, Dragon, RPG-7 and LAW pointers to newly created ".swd"
record.

.ct (h:1F0, v:4A) address 9D3C changed from 26 (38) to 5A (90)
.ct (h:2D9, v:4A) address E6F5 changed from 2C (44) to 5A (90)
.ct (h:236, v:4A) address B362 changed from 2C (44) to 5A (90)
.ct (h:2A0, v:4A) address D4EC changed from 2B (43) to 5A (90)



#13 Tweaked AS-7, AS-10 and AS-14 missiles for OPFOR
----------------------------------------------------

I tweaked AS-7, AS-10 and AS-14 missiles for OPFOR. Their range was greater
than US counterparts from which the files were "copied" and therefore the
"burn time" has to be extended.


File(s) changed:
----------------
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------
I edited the AS-7, AS-10 and AS-14 ".dat" files.


Original "as7.dat" (excerpts):

# Final Time (sec)
30.000000

Changed "as7.dat" (excerpts):

# Final Time (sec)
50.000000


Original "as10.dat" (excerpts):

# Final Time (sec)
30.000000

Changed "as10.dat" (excerpts):

# Final Time (sec)
40.000000


Original "as14.dat" (excerpts):

# Final Time (sec)
30.000000

Changed "as14.dat" (excerpts):

# Final Time (sec)
60.000000


******************************************************************************



v0.08 01/24/2000
******************************************************************************

#1 Added ground weapons blast radius fix
========================================

This incorporation of data from Jeffery "Rhino" Babineau (Deltahawks) fixes
various ground weapons blast radius values.


File(s) changed:
----------------
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
Jeffery "Rhino" Babineau (Deltahawks) will later provide details.



#2 Enabled back the AGM-88 capability for F-4G
==============================================

I enabled back the AGM-88 missile for F-4G.


File(s) changed:
----------------
"FALCON4.WLD" in folder "\Falcon4\terrdata\objects"
"FALCON4.SSD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a) Changed F-4G pylon data
--------------------------
I re-enabled AGM-88 HARM capability to F4-G hardpoint.

.wld (h:54, v:1A) address 24DC from 00 (00) to 17 (23)
.wld (h:54, v:55) address 2517 from 00 (00) to 01 (01)


b) Changed F-4G squadron weapon stock
-------------------------------------
I re-added AGM-88 HARM stock (80 missiles) to F-4G squadrons.

.ssd (h:16, v:17) address 1343 from 00 (00) to 50 (80)
.ssd (h:2F, v:17) address 290A from 00 (00) to 50 (80)



#3 Enabled landing gear on AI airplanes ("fly any plane")
=========================================================

Jeffery "Rhino" Babineau (Deltahawks) enabled taking off and landing for
player using any fly airplane "trick". All AI airplanes now have controllable
landing gear.


File(s) changed:
----------------
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------

All "AIRPLANExxx.dat" files were changed inside "\Falcon4\Zips\Simdata.ZIP"
(path = \sim\ACDATA).

******************************************************************************



v0.09 01/31/2000
******************************************************************************

#1 Additional fix for Dragon
============================

I mistakenly placed Dragon into unguided antitank missiles. This is to fix
this mistake...


File(s) changed:
----------------
"FALCON4.ct" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a) Changed Dragon general data
------------------------------
I changed Dragon seeker from "None" to "Optical". I also pointed Dragon
to newly created "ATMG.veh" file (Simdata.zip/VehDef).

.wcd (h:88, v:2A) address 200C changed from 00 (00) to 10 (16)
.wcd (h:88, v:38) address 201A changed from 4A (74) to 41 (65)


b) Changed Dragon "command data"
--------------------------------
I changed Dragon pointer to "atmg.swd" record.

.ct (h:2D9, v:4A) address E6F5 changed from 5A (90) to 4C (76)



#2 Added functional LAAW (Light Anti Armour Weapon)
===================================================

I renamed the RPG-7VAT (the only in game functional short range antitank
weapon) into LAAW. This way it would become available to all sides since
Jeff's experiment with separate LAW and AT-4 Carl Gustav didn't work.


File(s) changed:
----------------
"FALCON4.SWD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------

a) Renamed performance data record from ATM to LAAW
---------------------------------------------------
I renamed performance data record from ATM to LAAW.


b) Renamed data files from ATM to LAAW
--------------------------------------
I renamed "atm.veh" to "LAAW.veh" and "atm.dat" to "laaw.dat"


c) Renamed RPG-7VAT (i.e. new LAAW) general data
------------------------------------------------
I renamed RPG-7VAT record line to LAAW in ".wcd" file.



#3 Additional fix for M5 Rifle (i.e. broken LAW conversion)
===========================================================

Jeff's experiment with converting "M5 Rifle" to "LAW" didn't succeed. The
problem is that only very similar weapons can be "converted" to others.
I returned it to original state.


File(s) changed:
----------------
"FALCON4.ct" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a) M5 Rifle (i.e. broken LAW conversion) general data
-----------------------------------------------------
I copied whole original M5 Rifle (i.e. broken LAW conversion) record line
back onto ".wcd" file.


b) Changed M5 Rifle (i.e. broken LAW conversion) "command data"
---------------------------------------------------------------
I changed M5 Rifle (i.e. broken LAW conversion) pointer to original "GUNXXX"
entry in ".swd" record.

.ct (h:2A0, v:4A) address D4EC changed from  5A (90) to 2B (43)



#4 Additional fix for Hellfire (i.e. broken AT-4 CG conversion)
===============================================================

Jeff's experiment with converting "Hellfire" to "AT-4 CG" didn't succeed. The
problem is that only very similar weapons can be "converted" to others.
I returned it to original state.


File(s) changed:
----------------
"FALCON4.ct" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a) Hellfire (i.e. broken AT-4 CG conversion) general data
---------------------------------------------------------
I copied whole original Hellfire (i.e. broken AT-4 CG conversion) record line
back onto ".wcd" file.

Then I changed the guidance for "Laser" to "Optical". I also pointed
Hellfire to "ATGM.veh" file (Simdata.zip/VehDef).

.wcd (h:3F, v:2A) address EF0 changed from 08 (08) to 10 (16)
.wcd (h:3F, v:38) address EFE changed from 15 (21) to 41 (65)


b) Changed Hellfire (i.e. broken AT-4 CG conversion) "command data"
-------------------------------------------------------------------
I changed Hellfire (i.e. broken AT-4 CG conversion) pointer to "ATGM" entry
in ".swd" record.

.ct (h:1F0, v:4A) address 9D3C changed from 26 (38) to 4C (76)



#5 Additional fix for AGM-114
=============================

In original F4 there was AGM-114 and Hellfire as separate weapons (although
those are same things in real world). Unfortunately the AGM-114 is non
functional in F4 (I suspect the broken and inoperable "command line"). This
is why I returned things back to original status.


File(s) changed:
----------------
"FALCON4.ct" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a) AGM-114 general data
-----------------------
I copied whole original AGM-114 record line back onto ".wcd" file.


b) Changed AGM-114 "command data"
---------------------------------
I changed AGM-114 pointer to original "AGXXX" entry in ".swd" record.

.ct (h:1F0, v:4A) address 9D3C changed from 4C (76) to 26 (38)



#6 Fix for various ground unit weapons
======================================

Jeffery "Rhino" Babineau (Deltahawks) changed the weapon loadout for certain
units because of the changes mentioned in v0.09 #2/3/4/5.


File(s) changed:
----------------


What was changed:
-----------------
Jeffery "Rhino" Babineau (Deltahawks) will later provide details.



#7 Fixed broken "Vector to..." message
======================================

Thanks to Leif "Poogen" Ljung we have fixed broken "Vector to..." message.


File(s) changed:
----------------
"commFile.bin" inside "\Falcon4\sounds\"


What was changed:
-----------------
If you have a hex editor you can open commFile.bin in the sound folder and
go to hex offset 4BC. There you will find hex 05. Change that to hex 07.

******************************************************************************



v0.10 02/04/2000
******************************************************************************

#1 Fixed Fuel tanks that were accidentally changed in v0.09
==========================================================

Jeff's accidentally changed Fuel tanks damage and thus changed the amount
of their fuel.


File(s) changed:
----------------
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
I returned all damage values for Fuel tanks to original value (and thus
changed the amount of their fuel).



#2 Changed ranges of all weapons back to v1.08 original values
==============================================================

Jeff's changed range values for almost all weapons. Unfortunately, since we
still don't know what that value really represent, this was unnecessary at
this stage.


File(s) changed:
----------------
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
I returned range values for all weapons to original value.

******************************************************************************



v0.11 02/15/2000
******************************************************************************

#1 Additional adjustment for weapon blast/damage and vehicle armour
===================================================================

Jeffery "Rhino" Babineau (Deltahawks) additionally changed the ground weapons
blast radius fix along with armour values for vehicles.


File(s) changed:
----------------
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.VCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
Jeffery "Rhino" Babineau (Deltahawks) will later provide details.



#2 Additional fix for various ground units
==========================================

Jeffery "Rhino" Babineau (Deltahawks) additionally changed the ground units.


File(s) changed:
----------------
"FALCON4.UCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
Jeffery "Rhino" Babineau (Deltahawks) will later provide details.

******************************************************************************



v0.12 02/16/2000
******************************************************************************

#1 Additional fix for formations
================================

Rodrigo "Motor" Lourenco has additionally changed the "Res Cell" and "Box"
formations since there were small discrepancies.


File(s) changed:
----------------
"FORMDAT.FIL" inside "\Falcon4\Zips\Simdata.ZIP" (path = \sim\ACDATA\FORMDATA)


What was changed:
-----------------

Previous formation (excerpts):

3 0 5 rescell
 135.0 0.0 0.0823
 -90.0 0.0 1.0
 -93.138 0.0 1.060

3 0 6 box
 90.0 0.0 1.0
 180.0 0.0 2.0
 135.0 0.0 2.236


Changed formation (excerpts):

3 0 5 rescell
 -135.0 0.0 0.0823
 90.0 0.0 1.0
 93.138 0.0 1.060

3 0 6 box
 90.0 0.0 1.0
 180.0 0.0 2.0
 154.0 0.0 2.236

******************************************************************************



v0.13 02/24/2000
******************************************************************************

#1 Adjustment for repair times to certain objects
=================================================

Jeffery "Rhino" Babineau (Deltahawks) and Eric "Snacko" Marlow adjusted repair
times for certain objects.


File(s) changed:
----------------
"FALCON4.FCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
Jeffery "Rhino" Babineau (Deltahawks) and Eric "Snacko" Marlow will later
provide details.



#2 Adjustment for aircraft weight and fuel
==========================================

Jeffery "Rhino" Babineau (Deltahawks) adjusted certain aircraft weight and
fuel loads (empty weight, MOTOW and fuel load).


File(s) changed:
----------------
"FALCON4.VCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
Jeffery "Rhino" Babineau (Deltahawks) will later provide more details.

                   MTOW          Empty Weight  Fuel
                   v1.08  iBETA  v1.08  iBETA  v1.08  iBETA
An-70                 0      0      0      0      0      0
E-3                325000 347000 170277 171950 155450 156875
A-10                50000  50000  24959  24959  3400   10500
B-52G              488000 488000  28800 185000 150000 300854
MiG-29              40785  40785  24030  24030  10140  8789
C-130                 0    13500    0    69300    0    31364
F/A-18D             56000  47000  23050  23050  10860  10860
F/A-18E               0      0      0      0      0      0
F-4E                61651  61795  29535  30328  17000  12290
F-14A               74348  74349  39762  40104  16200  18611
F-15C               68000  68000  28600  28600  23200  23205
MiG-23MS            41556  41556  22485  24251  11000  9921
MiG-25              82508  82508  44092  44092  32000  29900
MiG-31                0   101851    0    48115  36000  36000
Su-27               66138  66138  33056  39021  19000  20718
F-22                62000  62000  34000  34000  15000  15000
An-24               48061  48061  30997  32463  10500  7991
J-7 III             17967  17967  11629  11629  7000   4850
J-8                 39242  39242  21649  21649    0    8860
F-5E                24722  24664  9723   9558   8000   4205
MV-22                 0    60500    0    31886  13700  13700
F-111              119243 119243  47481  47481  21000  32914
AV-8B               31000  31000  13968  13968    0    7759
Su-24                 0    90388    0    41887  29000  19196
Su-25               38800  41005  20944  21605  8150   8465
MiG-27              44750  44750  26252  26252  10000  10053
A-37B               14000  14000  6211   6211   1500   3321
MiG-19              19621  19621  11397  11397  6000   3968
F-15E               81000  81000  31700  31700  23200  21645
F-16C               42300  42300  18238  18238  6850   6850
F/A-18A             56000  56000  23050  23050  10860  10860
F-117               52500  45250  30000  15000  17000  17000
A-6E                58600  60400  26600  25630  15939  15939
F-4G                61651  62390  29535  29535  17000  12290
B-1B               477000 477000 192000 192000 151000 195000
B-2A               376000 376000 158000 158000    0   180000
Tu-16              167110 167110  82011  82011  75750  80688
Tu-22                 0   184965    0    88183 100000  79365
Tu-95MS            414000 414000 176000 189594 191000 128968
Tu-160                0   606261    0   260140    0   200000
TR-1                  0    41300    0    15500  7649   7649
SR-71                 0   170000    0    60000 110000 110000
U-2                   0    41300    0    15500    0    7649
RC-135C               0   298997    0   150000    0   156250
EA-6B               65000  65000  32162  32162  15422  15422
EF-111A             88948  88948  55275  55275  21500  32914
E-8C               342000 333600 172795 172795 155000 159960
KC-10              590000 590000 241027 241027 356000 356000
KC-130R            135000 135000  69300  69300  65000  65000
KC-135             322500 322500  98466 106306 203000 203000
IL-78              374786 374786 165347 165347 210000 134258
C-5                837000 837000 374000 374000 202000 332500
C-17               580000 580000 269363 269363    0      0
C-141              343000 343000 144492 144492    0      0
OV-10D                0      0      0      0    6000   6000
E-2C                51569  51569  37678  37678  12400  12400
A-50               374786 374786 165347 165347 155000 134258
TR-2                  0      0      0      0      0      0
An-225             13227501322750   0      0      0      0
P-3                   0      0      0      0    44000  44000
S-3                   0      0      0      0      0      0
An-2                12125  12125  7606   7606   2000   2000
AH-64               21000  21000  10760  10760  2550   2550
CH-47               50000  50000  22452  22452  6180   6180
MiG-21              22925  22925  11464  11464  8000   4644
CH-46               24300  24300  15537  15537  2000   2000
AC-130U            175000 175000  76469  76469    0      0
AH-1                10000  10000  6598   6598   2086   2086
AH-66               11000  11000  8224   8224   2000   2000
An-12                 0      0      0      0    34000  34000
An-124             892872 892872 385800 385800 220000 220000
CH-53               73500  73500  33226  33226  6500   6500
KA-50               16534  16534  11500  11500  2500   2500
MD-500              3750   3750   1979   1979   1200   1200
Mi-24               24251  24251  18519  18519  3000   3000
Mi-26                 0      0      0      0    17000  17000
Mi-28                 0      0      0      0    3000   3000
Mi-8                  0      0      0      0    3200   3200
OH-58D              5500   5500   3289   3289    752    752
UH-1N               10000  10000  6000   6000   1200   1200
UH-60L              20250  20250  10624  11284  2500   4530
Q-5                   0      0      0      0    6232   6232
Y-8                   0      0      0      0    10560  10560
An-72               76060  76060  42000  42000  28550  28550
IL-28               46738  46738  28418  28418  12000  12000
IL-76M             374786 481871 165347 165347 121000 134258
J-5                 13702  13393  8995   8995   2500   2546
Su-7                  0    29762    0    19004  3000   5181
Su-15                 0    44092    0    27006  10000  10000
Tu-16N             167110 167110  82011  82012  75750  80688
AH-64D              21000  21000  10760  11387  2550   2550



#3 Adjustment for some weapon ranges
====================================

Jeffery "Rhino" Babineau (Deltahawks) adjusted certain weapon ranges.


File(s) changed:
----------------
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
Jeffery "Rhino" Babineau (Deltahawks) will later provide more details.

                   Range
                   v1.08 iBETA
MLRS                 8   24
KPV 14.5mm           1    2
37mm AAA             7    4
BOFORS 40mm          2    4
12.7 mm              1    2
105mm AP             2    3
20mm AAA HE          2    4
105mm How.          10   11
105mm HE             2    3
SCUD                100  375
FROG7               65   90
160mm MTR            5    6
115mm AP             1    2
73mm GUN             3    1
240mm ROCKET         5    9
M46 130mm           27   20
82mm MTR             2    5
120mm MTR            2    5
125mm HEAT           5    2
122mm RKT            5   15
115mm HE             1    2
100mm AP             3    2
155mm               15   17
30mm AAA HE          3    5
240mm               10    8
57mm HE AAA          2    7
Rocket               5   15



#4 Additional adjustment for weapon blast/damage and vehicle armour
===================================================================

Jeffery "Rhino" Babineau (Deltahawks) and Eric "Snacko" Marlow additionally
adjusted weapon blast/damage and vehicle armour.


File(s) changed:
----------------
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.VCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
Jeffery "Rhino" Babineau (Deltahawks) and Eric "Snacko" Marlow will later
provide details.



#5 Rename of napalm weapon to Mk-77
===================================

Jeffery "Rhino" Babineau (Deltahawks) changed BLU-27 (napalm) weapon
designation to Mk-77 and adjusted it weight and behavior.


File(s) changed:
----------------
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.SWD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
Jeffery "Rhino" Babineau (Deltahawks) will later provide details.



#6 Additional fix for ground units
==================================

Jeffery "Rhino" Babineau (Deltahawks) additionally changed ground units.


File(s) changed:
----------------
"FALCON4.UCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
Jeffery "Rhino" Babineau (Deltahawks) will later provide details.



#7 Fix for AI "abort/cowardice" behavior
========================================

I fixed "abort/cowardice" AI behavior.


File(s) changed:
----------------
"FALCON4.TT" inside "\Falcon4\campaign\SAVE"


What was changed:
-----------------
I checked the already available ".tt" file patch (by "Paradox" from F4 Delphi
Forums and saw that in fact he just changed two bytes inside it.

The author used the 3 byte sequence from "AATACTIC_ENGAGE_STRIKE" and
placed it in "ATACTIC_ABORT" (of the 3 byte sequence just 1st and 3rd are
different and thus the 2 byte difference from his patch and original v1.08
version).

I chose different approach and used the WHOLE data record line from
"ATACTIC_AVOID" and pasted it into "ATACTIC_ABORT".

This "avoid" posture is much more appropriate than "engage strike" since
the flights/packages in question can either have escorts or they might not
have the escorts.



#8 Additional fix for AA-2, AA-2R, AIM-9L and AIM-9P
====================================================

"Hoola" and Paul Stewart are the people behind this. "Hoola" expertly
dechipered the ".dat" files that represent the performance of missiles. This
enabled him to create much more realistic missile behavior.

I also found a way to expand F4 seekers and add additional 10 units. This
enabled "Hoola" and Paul to make unique seeker for every missile.


File(s) changed:
----------------
"FALCON4.ICD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------

a)
I edited drag and weight values where needed in ".wcd" file.

b)
I added 10 new seeker records in ".icd" file. Those records were copied from
record #1 (generic IR seeker).

I also changed the number of records at the beginning of ".icd".


Other modifications are listed in separate files that "Hoola" provided.



#9 Decoupled data for AA-10A and AA-10C missile (+ rename fix for AA-10B)
=========================================================================

I decoupled data for AA-10A and AA-10C missile. In F4 v1.08 they shared
the same data entries which was wrong. I also renamed the AA-10B data
for better difference.


File(s) changed:
----------------
"FALCON4.ct" in folder "\Falcon4\terrdata\objects"
"FALCON4.SWD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------

a) Renamed AA-10A and AA-10B performance data
---------------------------------------------
I renamed the AA-10C data (used for both AA-10A and AA-10C) to "AA-10A". I
also renamed the AA-10B data from "AA-10" to "AA-10B".

.swd renamed 2 records


b) Added new record for AA-10C performance data
-----------------------------------------------
I added 1 new records in ".swd" file. The AA-10C record was copied from
existing AA-10A.

I also changed the number of records at the beginning of ".swd".

.swd address 00 from 5B (91) to 5C (92)
.swd added 1 new record


c) Renamed AA-10A and AA-10B data files
---------------------------------------
I renamed the "aa10.veh" (of AA-10B) to "aa10b.veh" and "aa10.dat" to
"aa10b.dat" in "Simdata.zip". The "aa10c.veh" (of AA-10A) was renamed to
"aa10a.veh" and "aa10c.dat" to "aa10a.dat" in "Simdata.zip".


d) Added new AA-10C data files
------------------------------
I added new ".veh" and ".dat" files to "Simdata.zip".

The "aa10c.veh" is #75 in (Simdata.zip/VehDef/vehicle.lst) and the "aa10c.dat"
is #49 in (Simdata.zip/misdata/mistypes.lst).


Note:
For AA-10C I copied AA-10A ".veh" and ".dat" files

Original "aa10a.veh" (excerpts):

# Data Idx
15

Created "aa10c.veh" (excerpts):

# Data Idx
49


e) Changed AA-10C performance data
----------------------------------
I changed pointer to newly created ".dat" file (Simdata.zip/misdata).

.swd (h:91, v:30) address 12Ae from 0F (15) to 31 (49)


f) Changed AA-10C general data
------------------------------
I pointed AA-10C data to newly created ".veh" files (Simdata.zip/VehDef).

.wcd (h:08, v:38) address 21A changed from 29 (41) to 4B (75)


g) Changed AA-10C "command data"
--------------------------------
I changed AA-10C pointers to newly created ".swd" records.

.ct (h:EC, v:4A) address CDA5 changed from 01 (01) to 5B (91)

******************************************************************************



v0.14 02/28/2000
******************************************************************************

#1 Additional rename fix for AGM-65 A/B/D/G and AIM-9M
======================================================

In order to have better clarification I renamed the ".dat" files for
AGM-65 A/B/D/G and AIM-9M.


File(s) changed:
----------------
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------
I renamed the "agm65b.dat" (used by AGM-65 A & B) to "agm65ab.dat". I also
renamed the "aim9l.dat" (Used by AIM-9M) to "aim9lm.dat".



#2 Additional fix for AA-10B
============================

"Hoola" and Paul Stewart are again the people behind this. This fix
includes the performance and seeker change for AA-10B missile.


File(s) changed:
----------------
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------

Other modifications are listed in separate files that "Hoola" provided.



#3 Additional fix for AA-3, AGM-65 D/G, Chaparral, Stinger and SA-7/9/13/14
===========================================================================

There was small mistake with previous v0.13 patch. "Hoola" forgot
that he had to change the IR seeker pointers in ".dat" files for all
existing IR missiles when the ".icd" seeker file was thoroughly altered.

This is quick fix that just changes the pointer inside ".dat" of IR missiles
to their proper seekers in ".icd" file.


File(s) changed:
----------------
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------
The ".dat" files for AA-3, AGM-65 D/G, Chaparral, Stinger and SA-7/9/13/14
were altered accordingly


.dat files   -> Seeker type  -> Changed Seeker type
----------      -----------     -------------------
aim9lm       -> 0/1 (IR)     -> 0/1 (IR)
agm65dg      -> 0/7 (IR)     -> 0/10 (IR)
aim9p        -> 0/2 (IR)     -> 0/2 (IR)
aa7          -> 0/2 (IR)     -> 0/2 (IR)
aa9          -> 0/2 (IR)     -> 0/2 (IR)
aa10b        -> 0/1 (IR)     -> 0/8 (IR)
aa11         -> 0/1 (IR)     -> 0/1 (IR)
sa7          -> 0/3 (IR)     -> 0/14 (IR)
sa13         -> 0/6 (IR)     -> 0/16 (IR)
sa9          -> 0/5 (IR)     -> 0/15 (IR)
sa14         -> 0/4 (IR)     -> 0/17 (IR)
as10         -> 0/7 (IR)     -> 0/7 (IR)
aa2          -> 0/2 (IR)     -> 0/3 (IR)
aa8          -> 0/2 (IR)     -> 0/2 (IR)
aa3          -> 0/2 (IR)     -> 0/4 (IR)
stngr        -> 0/4 (IR)     -> 0/12 (IR)
chprl        -> 0/5 (IR)     -> 0/13 (IR)



#4 Additional adjustment for weapon blast/damage and vehicle armour
===================================================================

Jeffery "Rhino" Babineau (Deltahawks) and Eric "Snacko" Marlow additionally
adjusted weapon blast/damage and vehicle armour.


File(s) changed:
----------------
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.VCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
Jeffery "Rhino" Babineau (Deltahawks) and Eric "Snacko" Marlow will later
provide details.



#5 Additional fix for ground units
==================================

Jeffery "Rhino" Babineau (Deltahawks) additionally changed ground units.


File(s) changed:
----------------
"FALCON4.UCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
Jeffery "Rhino" Babineau (Deltahawks) will later provide more details.



#6 Fix to enable flying all AI airplanes
========================================

Jeffery "Rhino" Babineau (Deltahawks) provided radar sensor for all AI
aircraft. This way the player can fly all AI airplanes (in v0.08 #3 patch
he was able only to fly AI aircraft that carried radar on-board).

This fix does not add the radar for AI aircraft that previously didn't
have one - this only enables player flying all AI aircraft.


File(s) changed:
----------------
"FALCON4.ACD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
Jeffery "Rhino" Babineau (Deltahawks) will later provide more details.



#7 Enabled flight model limiters for all aircraft
=================================================

Jeffery "Rhino" Babineau (Deltahawks) enabled flight model limiters for all
aircraft. This way all airplanes are now bound to same limits the player/user
in F-16 faces when flying.

This means that, for example, the AI will no longer dogfight in B-52 or
Tu-16.


File(s) changed:
----------------
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------
All "AIRPLANExxx.dat" files were changed inside "\Falcon4\Zips\Simdata.ZIP"
(path = \sim\ACDATA).


******************************************************************************



v0.15 03/18/2000
******************************************************************************

#1 Additional fix for voice (comm) messages
===========================================

Thanks to Leif "Poogen" Ljung we have additional fixes for previously
broken voice (comm) messages:

- Request vector to package
- Request vector to tanker (Bullseye mode)
- Proper airport identification


Notes:

a)
Do never call inbound for landing if you have manually
set your taccan channel on a Tanker and have it tracked
in HSI. This causes a BTD. This bug is not created by
my patch. I am working on a fix.

b)
Due to a bug that mixes preprogrammed taccan channels in
the flight computer "DED down right" when you are close to
more than one airport, I recomend that you always set
your taccan channel manually BEFORE you call inbound
for landing. Also hunting for this one see if it can be 
fixed in the future.

What is working and what is not

There are three airports that don't ID themselves right
Nachodka (Russia), Shenyang (China) and Liuhe (China).
I have set them so you will hear Kosong twr or  appr
This is because they are not recorded in falcon.tlk,
the file that holds all the recorded phrases.
If anyone using a foreign language falcon4 and have heard
the names of these airports please contact me and the
problem can be solved. Every other airport are OK 
except for Samjiyon-up, that misses the male tower
and Samcheon-po (HwaDong) that misses the female tower.
The same problem. Not recorded in falcon.tlk
In both these cases I have set them to use approach.

Now we have to talk about the "BIG MESS" the runway
calls. This is something I am working on but I have
big problems. Six airports with parallel runways 05LR-23LR
Jeomcheon, Koksan, Cheongju, Kum-ni, Samcheon-po(HwaDong) and
Shenyang have no phrases recorded  in falcon.tlk
Possible fixes 1. Turn them into a direction that have
phrases for them. 2. Make them into single runway airports
3. or use single airport phrases anyway (not really correct)
If you have any sugestions on this problem feel free to
express them.


File(s) changed:
----------------
"commFile.bin" inside "\Falcon4\sounds\"
"evalFile.bin" inside "\Falcon4\sounds\"
"Falcon4.exe" inside "\Falcon4"


What was changed:
-----------------
207 bytes inside code.

Comparing pre-patched and patched exe:

0004F0E4: 52 53
0004F435: 0F E9
0004F436: BF E3
0004F437: C0 02
0004F438: 83 00
0004F439: F8 00
0004F43A: FF 90
0004F5F3: 07 06
0004F71D: 90 9C
0004F71E: 90 83
0004F71F: 90 F9
0004F720: 8B 4F
0004F721: 4C 74
0004F722: 24 2A
0004F723: 04 EB
0004F724: 83 1C
0004F725: F9 90
0004F726: FF 90
0004F727: 75 90
0004F728: 06 90
0004F729: 66 90
0004F72A: 0B 90
0004F72B: C1 90
0004F72C: C2 90
0004F72D: 04 90
0004F72E: 00 90
0004F72F: B8 90
0004F730: D3 90
0004F731: 4D 90
0004F732: 62 90
0004F733: 10 90
0004F734: F7 90
0004F735: E9 90
0004F736: 8B 90
0004F737: CA 90
0004F738: C1 90
0004F739: F9 90
0004F73A: 06 90
0004F73B: 8B 90
0004F73C: C1 90
0004F73D: C1 90
0004F73E: E8 90
0004F73F: 1F 90
0004F740: 03 90
0004F741: C8 9D
0004F742: 83 0F
0004F743: F9 BF
0004F744: 32 C0
0004F745: 7E 83
0004F746: 15 F8
0004F747: B8 FF
0004F748: 67 E9
0004F749: 66 EE
0004F74A: 66 FC
0004F74B: 66 FF
0004F74C: F7 FF
0004F74D: E9 EB
0004F74E: C1 06
0004F74F: FA 9D
0004F750: 02 E9
0004F751: 8B 1E
0004F752: CA FD
0004F753: C1 FF
0004F754: E9 FF
0004F755: 1F 53
0004F756: 8D 51
0004F757: 4C 52
0004F758: 0A 56
0004F759: 24 8B
0004F75A: EB 54
0004F75B: 1A 24
0004F75C: 83 24
0004F75D: F9 8B
0004F75E: 28 52
0004F75F: 7E 04
0004F760: 14 89
0004F761: B8 D6
0004F762: 67 81
0004F763: 66 C2
0004F764: 66 60
0004F765: 66 5D
0004F766: F7 00
0004F767: E9 00
0004F768: D1 8B
0004F769: FA 1A
0004F76A: 8B 81
0004F76B: C2 FB
0004F76C: C1 4C
0004F76D: E8 65
0004F76E: 1F 69
0004F76F: 8D 66
0004F770: 4C 74
0004F772: 1F EB
0004F773: EB 58
0004F774: 01 50
0004F775: 49 8B
0004F776: 85 5C
0004F777: C9 24
0004F778: 7D 2C
0004F779: 09 33
0004F77A: 83 C9
0004F77B: C9 83
0004F77C: FF C2
0004F77D: 66 04
0004F77E: 8B 66
0004F77F: C1 8B
0004F780: C2 02
0004F781: 04 66
0004F782: 00 39
0004F783: 83 C3
0004F784: F9 74
0004F785: 2D 0E
0004F786: 7E 83
0004F787: 05 C1
0004F788: B9 01
0004F789: 2D 83
0004F78A: 00 F9
0004F78B: 00 25
0004F78C: 00 7E
0004F78D: 66 ED
0004F78E: 8B 66
0004F78F: C1 B8
0004F790: C2 00
0004F791: 04 00
0004F792: 00 EB
0004F793: 90 06
0004F794: 90 83
0004F795: 90 C2
0004F796: 90 02
0004F797: 90 66
0004F798: 90 8B
0004F799: 90 02
0004F79A: 90 0F
0004F79B: 90 B7
0004F79C: 90 D8
0004F79D: 90 8B
0004F79E: 90 8C
0004F79F: 90 24
0004F7A0: 8B C0
0004F7A1: 4C 00
0004F7A2: 24 00
0004F7A3: 04 00
0004F7A6: FF 7C
0004F7A7: 75 7D
0004F7A8: 06 2C
0004F7A9: 66 81
0004F7AA: 0B E9
0004F7AB: C1 46
0004F7AC: C2 00
0004F7AD: 04 00
0004F7AF: B8 7C
0004F7B0: D3 24
0004F7B1: 4D 89
0004F7B2: 62 F0
0004F7B3: 10 05
0004F7B4: F7 FC
0004F7B5: E9 5D
0004F7B6: 8B 00
0004F7B7: CA 00
0004F7B8: C1 01
0004F7B9: F9 D8
0004F7BA: 06 66
0004F7BB: 8B 8A
0004F7BC: C1 44
0004F7BD: C1 48
0004F7BE: E8 00
0004F7BF: 1F 0F
0004F7C0: 03 B6
0004F7C2: 83 58
0004F7C3: F9 66
0004F7C4: 3C 8B
0004F7C5: 7E C1
0004F7C6: 14 66
0004F7C7: B8 3D
0004F7C8: 67 FF
0004F7C9: 66 00
0004F7CA: 66 74
0004F7CB: 66 0A
0004F7CC: F7 5E
0004F7CD: E9 5A
0004F7CE: D1 59
0004F7CF: FA 5B
0004F7D0: 8B E9
0004F7D1: CA 7A
0004F7D2: C1 FF
0004F7D3: E9 FF
0004F7D4: 1F FF
0004F7D5: 8D 58
0004F7D6: 4C 85
0004F7D7: 0A DB
0004F7D8: 24 75
0004F7D9: EB 06
0004F7DA: 19 66
0004F7DB: 83 B8
0004F7DC: F9 2E
0004F7DD: 28 00
0004F7DE: 7E EB
0004F7DF: 14 EC
0004F7E0: B8 66
0004F7E1: 67 B8
0004F7E2: 66 00
0004F7E3: 66 00
0004F7E4: 66 EB
0004F7E5: F7 E6
0004F7E6: E9 90
0004F7E7: D1 90
0004F7E8: FA 90



#2 Added functional AT-9 (Vikhr) ATGM
=====================================

I added functional AT-9 (Vikhr) antitank missile. It was interlinked through
wrong records in ".swd" file and used  wrong ".veh" and ".dat" files.
This didn't work at all in F4 v1.08... :-(


File(s) changed:
----------------
"FALCON4.ct" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a) Changed AT-9 (Vikhr) general data
------------------------------------
I renamed the "Vikhr" into it's proper designation of AT-9. I also changed
AT-9 seeker data from "None" to "Optical". Then the  AT-9 was pointed to
"ATGM.veh" file (Simdata.zip/VehDef).

.wcd (h:55, v:2A) address 1418 changed from 00 (00) to 10 (16)
.wcd (h:55, v:38) address 1426 changed from 15 (21) to 41 (65)


b) Changed AT-9 (Vikhr) "command data"
--------------------------------------
I changed AT-9 pointer to ATGM ".swd" record.

.ct (h:268, v:4A) address c334 changed from 26 (38) to 4C (76)



#3 Fixed misc inconsistencies with several weapons internal linking
===================================================================

I fixed various weapons internal linking inconsistencies. Many weapons were
wrongly internally linked...


File(s) changed:
----------------
"FALCON4.ct" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a) Changed various weapons general data
---------------------------------------
I pointed various weapons data to their real ".veh" files
(Simdata.zip/VehDef). Please note that for some of the weapons this is
just temporary fix until their proper data is used.


Weapon name       Original            Changed

"AGM-122"      -> "AGM88.veh"      -> "AGMxxx.veh"
"AGM-78"       -> "AGM88.veh"      -> "AGMxxx.veh"
"AS-4"         -> "AGM84.veh"      -> "AGMxxx.veh"
"AK47"         -> "chaparral.veh"  -> "GunXXX.veh"

.wcd (h:10, v:38) address 3FA changed from 0A (10) to 15 (21)
.wcd (h:15, v:38) address 526 changed from 0A (10) to 15 (21)
.wcd (h:1E, v:38) address 742 changed from 23 (35) to 15 (21)
.wcd (h:C3, v:38) address 2DEE changed from 36 (54) to 19 (25)


b) Changed various non-missile weapons "command data"
-----------------------------------------------------
I changed various weapons pointers to their real ".swd" records. Please note
that for some of the weapons this is just temporary fix until their proper
data is used.


Weapon name       Original            Changed

"AS-4"         -> "A-9LP"          -> "AGXXX"
"AS-6"         -> "A-9LP"          -> "AGXXX"
"AK47"         -> "AA10B"          -> "GUNXXX"

.ct (h:110, v:4A) address 565C changed from 2C (44) to 26 (38)
.ct (h:111, v:4A) address 56AD changed from 2C (44) to 26 (38)
.ct (h:784, v:4A) address F85C changed from 00 (00) to 2B (43)



#4 Additional fix for AA-10B
============================

I forgot to change the weight and drag when "Hoola" and Paul Stewart
changed the AA-10B missile in v0.14 #2.


File(s) changed:
----------------
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
I edited drag and weight values in ".wcd" file.



#5 Additional fix for AA-10C
============================

I forgot to change the internal linking for the AA-10C missile when AA-10x
missiles were decoupled in v0.13 #9.


File(s) changed:
----------------
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
I pointed AA-10C missile to it's proper ".veh" file.

.wcd (h:08, v:38) address 21A changed from 29 (41) to 4B (75)



#6 RWR fix for Nike Hercules SAM
================================

Eric "Snacko" Marlow additionally fixed Nike Hercules SAM. Now the symbol
appears on RWR when you are fired upon.


File(s) changed:
----------------
"FALCON4.RCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
The "Nike Radar" (#28) didn't have any radar values. Eric "Snacko" Marlow
gave RWR and LOW/RWR values of .63 and .1 (thus made it similar to a
contemporary SAM the SA-5). This way the Nike Hercules will now show on
RWR (although it shows "U" since we can't change this).



#7 RWR fix for ground based search radar and AWACS
==================================================

Eric "Snacko" Marlow made possible for ground based search radar and AWACS to
bee seen on RWR when proper button is pressed in cockpit ("Search" button).


File(s) changed:
----------------
"FALCON4.RCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.FCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
Ground based search radar and AWACS didn't have any radar values. Eric
"Snacko" Marlow gave them (#32 for ground based) RWR and LOW/RWR values of
.8 and .75 respectively. For AWACS (#10 for A-50, #18 for E-3) he used RWR
and LOW/RWR values .85 and .85 which makes the most powerful air search
radar in the object list.

Eric "Snacko" Marlow will later provide more details.



#8 Additional fix for ground units
==================================

Jeffery "Rhino" Babineau (Deltahawks) additionally changed ground units.


File(s) changed:
----------------
"FALCON4.UCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
Jeffery "Rhino" Babineau (Deltahawks) will later provide more details.



#9 Additional adjustment for weapon blast/damage
================================================

Jeffery "Rhino" Babineau (Deltahawks) and Eric "Snacko" Marlow additionally
adjusted weapon blast/damage.


File(s) changed:
----------------
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
Jeffery "Rhino" Babineau (Deltahawks) and Eric "Snacko" Marlow will later
provide details.



#10 Additional fix for some weapons and vehicles
================================================

Jeffery "Rhino" Babineau (Deltahawks) additionally changed some weapons.

File(s) changed:
----------------
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.VCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a)
Renamed "disruptor" to B-61. Maxed out all damage and blast values for B-61.
This will just enable weapon per-se but not load it (yet) on any aircraft.

b)
Redid all AAA weapons so that "flak cloud" works only for 57 mm and 40 mm
Bofors. The others should use tracers only (i.e. no exploding shells).

c)
Changed the ammo on the ak47r squad to be less than the ak47 squad.

d)
Changed name on the B-52G to B-52H.

Jeffery "Rhino" Babineau (Deltahawks) will later provide more details.



#11 Additional fix for some squadron stores
===========================================

Jeffery "Rhino" Babineau (Deltahawks) additionally changed some weapons.

File(s) changed:
----------------
"FALCON4.SSD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
Added 50% more A2A weapons for ALL aircraft. Limit GBU's for A-10's. Added
Fuel tanks for MIG 29, SU27, MIG21 squadron (they had none before). Limit
rockets for all aircraft since the do not fire them. Added more (50%) dumb
bombs, both high drag and low drag. Removed LGB's from SU27, MIG21 and
MIG29 units. Added AA-12 to SU27 units (not to plane itself yet).

Jeffery "Rhino" Babineau (Deltahawks) will later provide more details.



#12 Additional fix for aircraft weight and fuel
===============================================

Jeffery "Rhino" Babineau (Deltahawks) additional fixed certain aircraft
weight and fuel loads due to some problems with heavy bombers (B-52, B-1B,
Tu-16).


File(s) changed:
----------------
"FALCON4.VCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
Jeffery "Rhino" Babineau (Deltahawks) will later provide more details.

                   MTOW          Empty Weight  Fuel
                   Old    New    Old    New    Old    New
B-52G              488000 488000  28800 172740 150000 250000
Tu-16              167110 167110  82011  83500  75750  39500
IL-28               46738  46738  28418  28418  12000  11500



#13 Fix for more "Escort" and "SEAD Escort" missions in campaign
================================================================

Gary "Ranger" Perry made simple change to ".pri" files regarding the amount
of "Escort" and "SEAD Escort" flights.


File(s) changed:
----------------
"Attrit.pri" in folder "\Falcon4\campaign\SAVE"
"Cas.pri" in folder "\Falcon4\campaign\SAVE"
"Defense.pri" in folder "\Falcon4\campaign\SAVE"
"Intdict.pri" in folder "\Falcon4\campaign\SAVE"
"Offense.pri" in folder "\Falcon4\campaign\SAVE"


What was changed:
-----------------

Original "Attrit.pri" (excerpts):

10 10           ; Escort
12 30           ; SEAD Escort
30 30           ; BDA

Changed "Attrit.pri" (excerpts):

10 100          ; Escort
12 100          ; SEAD Escort
30 10           ; BDA


Original "Cas.pri" (excerpts):

10 10           ; Escort
12 30           ; SEAD Escort
30 30           ; BDA

Changed "Cas.pri" (excerpts):

10 100          ; Escort
12 100          ; SEAD Escort
30 10           ; BDA


Original "Defense.pri" (excerpts):

10 60           ; Escort
12 20           ; SEAD Escort
30 10           ; BDA

Changed "Defense.pri" (excerpts):

10 100          ; Escort
12 100          ; SEAD Escort
30 10           ; BDA


Original "Intdict.pri" (excerpts):

10 10           ; Escort
12 30           ; SEAD Escort
30 30           ; BDA

Changed "Intdict.pri" (excerpts):

10 100          ; Escort
12 100          ; SEAD Escort
30 10           ; BDA


Original "Offense.pri" (excerpts):

10 60           ; Escort
12 60           ; SEAD Escort
30 10           ; BDA

Changed "Offense.pri" (excerpts):

10 100          ; Escort
12 100          ; SEAD Escort
30 10           ; BDA



#14 Fix for BDA mission reduction in campaign ATO
=================================================

Jeffery "Rhino" Babineau (Deltahawks) enabled the overall BDA mission
reduction in campaign ATO.


File(s) changed:
----------------
"Falcon4.AII" in folder "\Falcon4\campaign\SAVE"


What was changed:
-----------------

Original "Falcon4.AII" (excerpts):

MinimumBDAPriority = 90


Changed "Falcon4.AII" (excerpts):

MinimumBDAPriority = 900



#15 Fix for comms (AWACS, Tower, Tanker, Wingman/Element/Flight)
================================================================

Kurt "Froglips" Giesselman and Thomas McCauley are responsible for this
fix. They discovered that several additional commands exist in F4 but are
not used.

Some of those additional commands are properly executed and they are
accompanied with proper voice comms and some are not - we are still
working on this...

Please note that the menu layout for the AWACS, Tower, Tanker,
Wingman/Element/Flight has changed and user MUST change your HOTAS
scripts and voice command software.


File(s) changed:
----------------
"menu.dat" in folder "\Falcon4\art\ckptart\"


What was changed:
-----------------
Added commands for AI communications menus

The AWACs, Wingman, Element, and Flight menus have been reorganized to
accommodate a number of new commands. The command functions need to be
tested. The AI voice responses are usually incorrect and repeat the most
recent previous AI response. However, if there is no response in the buffer
they appear to make the proper response in some cases. Please listen for
and note responses that use phrases that are new or seem appropriate.
We need to find the address of these responses and understanding what might
be available will be useful.

AWACS COMMANDS
Vector Page
Vector to Nearest Threat
Vector to Target *            Should provide vectors in non-bullseye mode
Vector to Package *           Should provide vector in either mode
Vector to Tanker *            Should provide vectors in either mode
Vector to Divert Field
Vector to Home Plate
Request Divert Mission #      Requests divert mission

WINGMAN COMMANDS
Combat Management 1
Attack My Target
Buddy Spike
Raygun
Weapons Free
Weapons Hold
Check Your Six
Clear My Six
Free Wingman #+               Release wingman to RTB if mission
                              completed or other a/c are available to
                              move into wing position (mission status
                              dependent)
Rejoin

Combat Management 2
Run Single-Side Offset
Break Right #+                AI a/c bank to right
Break Left #+                 AI a/c bank to left
Pince
Posthole
Chainsaw

Formation Management
Kickout
Close up
Toggle Formation(L/R) #+      Swaps sides for all formations
Hold Position #+              AI aircraft circle around position where they
received command

Flight Formation
Go Spread
Go Wedge
Go Trail
Go Ladder
Go Stack
Go Res Cell


ELEMENT COMMANDS
Combat Management 2           As for Wingman

Formation Management          As for Wingman


FLIGHT COMMANDS
Combat Management 2           As for Wingman

Mission Management            As for Wingman

Formation Management          As for Wingman

Flight Formation
Go Spread
Go Wedge
Go Trail
Go Ladder
Go Stack
Go Res Cell
Go Fluid 4                    Only available for Flight
Go Box                        Only available for Flight
Go Arrowhead                  Only available for Flight

* Modified command
# New command
+ AI voice response is incorrect and often repeats last response in buffer



#16 Additional fix for AI "abort/cowardice" behavior
====================================================

I additionally fixed "abort/cowardice" AI behavior (forgot one byte last
time). This was after I completely dechipered the data record layout inside
"FALCON4.TT" file.


File(s) changed:
----------------
"FALCON4.TT" inside "\Falcon4\campaign\SAVE"


What was changed:
-----------------
One byte in file was changed.



#17 Additional fix for AA-1/2/2R/7/7R/8/10A/10B/10C/11/12 and AIM-9P/9M/7/120
=============================================================================

"Hoola" and Paul Stewart additionally fixed several more missiles
(AA-1/2/2R/7/7R/8/10A/10B/10C/11/12 and AIM-9P/9M/7/120).


File(s) changed:
----------------
"FALCON4.ICD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------
I edited drag and weight values where needed in ".wcd" file.

Other modifications are listed in separate files that "Hoola" provided.



#18 Additional fix for AA-12
============================

When I first enabled AA-12 missile I only made it work but it was not tested
properly since no aircraft was able to carry it. When "Hoola" and Paul
Stewart got to AA-12 and actually tested it for the first time they found
out that I made small mistake in internal linking.


File(s) changed:
----------------
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------

Previous "aa12.veh" (excerpts):

# Data Idx
39

Changed "aa12.veh" (excerpts):

# Data Idx
38



#19 Added AA-12 to Su-27 and AA-10C to Mig-29
=============================================

Jeffery "Rhino" Babineau (Deltahawks) added AA-12 to Su-27 and AA-10C to
Mig-29.


File(s) changed:
----------------
"FALCON4.WLD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

.wld (h:3C, v:  ) address 1A66 from 00 (00) to 08 (08)
.wld (h:3C, v:  ) address 1A9C from 00 (00) to 01 (01)
.wld (h:47, v:  ) address 1F3C from 00 (00) to 32 (50)
.wld (h:47, v:  ) address 1F6F from 00 (00) to 01 (01)
.wld (h:47, v:  ) address 1F96 from 00 (00) to 32 (50)
.wld (h:47, v:  ) address 1FD4 from 00 (00) to 01 (01)
.wld (h:61, v:  ) address 2A75 from 2D (45) to 32 (50)
.wld (h:61, v:  ) address 2A76 from 32 (50) to 39 (57)
.wld (h:61, v:  ) address 2A77 from 39 (57) to 20 (32)
.wld (h:61, v:  ) address 2A78 from 20 (32) to 28 (40)
.wld (h:61, v:  ) address 2A79 from 28 (40) to 31 (49)
.wld (h:61, v:  ) address 2A7A from 31 (49) to 2C (44)
.wld (h:61, v:  ) address 2A7B from 2C (44) to 32 (50)
.wld (h:61, v:  ) address 2A7C from 32 (50) to 2C (44)
.wld (h:61, v:  ) address 2A7D from 2C (44) to 35 (43)
.wld (h:61, v:  ) address 2A7E from 35 (53) to 2C (44)
.wld (h:61, v:  ) address 2A7F from 2C (44) to 36 (54)
.wld (h:61, v:  ) address 2A80 from 36 (54) to 29 (41)
.wld (h:61, v:  ) address 2A9A from 00 (00) to 08 (08)
.wld (h:61, v:  ) address 2ACE from 00 (00) to 01 (01)



#20 Temporary fix for ATGMs
===========================

It was noticed that ATGMs tend to fire ballistically at 45 deg into sky
at some instances. Since A2G/G2G missile performance are not yet examined
properly this is interim (temporary) patch to increase their accuracy.

Proper patch will be done at later date.


File(s) changed:
----------------
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------
Instead of "Optical" seeker for ATGMs I used the "IR" this time.


Previous "atgm.dat" (excerpts):

# Lofting Bias
0.000000
# Seeker Type Version
3 4


Changed "atgm.dat" (excerpts):

# Lofting Bias
2.000000
# Seeker Type Version
0 10

******************************************************************************



v0.16 03/31/2000
******************************************************************************

#1 Bubble slider fix
====================

Thanks to Sylvain Gagnon we now have fixed Bubble slider in F4 options. In
original v1.08 the Bubble slider was inoperative and always treated as set
to 3 (which equals Bubble Multiplier of 1).


File(s) changed:
----------------
"Falcon4.exe" inside "\Falcon4"


What was changed:
-----------------
10 bytes inside code.

Comparing pre-patched and patched exe:

00035A45: C7 90
00035A46: 86 90
00035A47: B4 90
00035A48: 01 90
00035A49: 00 90
00035A4A: 00 90
00035A4B: 00 90
00035A4C: 00 90
00035A4D: 80 90
00035A4E: 3F 90



#2 Additional fix for AS-10
===========================

After the v0.15 was posted it I saw that the AS-10 seeker has the old pointer
0/7 (i.e. pre ".icd" change). This is fixed by AS-10 using the new Maverick
IR seeker 0/10.


File(s) changed:
----------------
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------
Instead of old 0/7 seeker the new 0/10 was used.


Previous "as10.dat" (excerpts):

# Seeker Type Version
0 7

Changed "as10.dat" (excerpts):

# Seeker Type Version
0 10



#3 Temporary removal of "abort/cowardice" fix
=============================================
Due to apparent strange effects in campaign (A2G armed interceptors) the
".tt" file modification is temporary removed from "Realism Patch". The
original v1.08 data is back. More testing and tweaking is needed here...


File(s) changed:
----------------
"FALCON4.TT" inside "\Falcon4\campaign\SAVE"


What was changed:
-----------------
Original v.018 ".tt" file is back.



#4 AA-6 and AA-6R fix
=====================

The AA-3 was renamed AA-6 and AA-8R was renamed AA-6R. This was done because
AA-3 was only used for Su-15 which is not in F4 sim and because AA-8R doesn't
exist in real world.


File(s) changed:
----------------
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.SWD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WLD" in folder "\Falcon4\terrdata\objects"
"FALCON4.SSD" in folder "\Falcon4\terrdata\objects"
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------

a) Renamed "AA-3" to "AA-6" and "AA-8R" to "AA-6R" in general data
------------------------------------------------------------------
I renamed the "AA-3" to "AA-6" and "AA-8R" to "AA-6R".

.wcd renamed 2 records


b) Renamed "AA3" to "AA6" and "AA8R" to "AA6R" in performance data
------------------------------------------------------------------
I renamed the "AA3" to "AA6" and "AA8R" to "AA6R".

.swd renamed 2 records


c) Renamed "AA-3" to "AA-6" and "AA-8R" to "AA-6R" in data files
----------------------------------------------------------------
I renamed the "aa3.dat" to "aa6.dat" and "aa8r.dat" to "aa6r.dat" with
change to "MISTYPES.LST". I also renamed the "aa3.veh" to "aa6.veh" and
"aa8r.veh" to "aa6r.veh" with change to "VEHTYPES.LST".


d) Changed Mig-25, Mig-29 and Mig-27 pylon data
-----------------------------------------------
I removed 2xAA-11 from "Mig-25 Outer" hardpoint and on that place put
1xAA-6. I also changed the 2xAA-6R entry to 1xAA-6R. Then I added 1xAA-6 and
1x AA-6R in "Mig-25 Inner" hardpoint.

I removed AA-6R from "Mig-29 (1,2,5,6)" hardpoint. I also removed the
AA-6R and AA-10A from Mig-27.


e) Changed Mig-25, Mig-29 and Mig-27 squadron weapon stock
----------------------------------------------------------
I added AA-6R (40 pieces) to Mig-25 squadron and removed AA-6R from Mig-29
and Mig-27 squadrons.



#5 Additional fix for all A2A missiles
======================================

"Hoola" and Paul Stewart finalized all A2A missiles
(AA-1/2/2R/6/6R/7/7R/8/10A/10B/10C/11/12 and AIM-9P/9M/7/54C/120).


File(s) changed:
----------------
"FALCON4.ICD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.CT" in folder "\Falcon4\terrdata\objects"
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------
I edited drag, weight and range values where needed in ".wcd" and ".ct" files.

Other modifications are listed in separate files that "Hoola" provided.



#6 Additional adjustment for weapon blast/damage
================================================

Jeffery "Rhino" Babineau (Deltahawks) and Eric "Snacko" Marlow additionally
adjusted weapon blast/damage.


File(s) changed:
----------------
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
Jeffery "Rhino" Babineau (Deltahawks) and Eric "Snacko" Marlow will later
provide details.



#7 Additional fix for ground units and weapons
==============================================

Jeffery "Rhino" Babineau (Deltahawks) additionally changed ground units and
weapons. He gave South Koreans their own weapon (rename of OLD US weapons
that South Korea uses).



File(s) changed:
----------------
"FALCON4.UCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.VCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a)
Renamed M163 vehicle to K200-AD and, made it point to radar 11 which makes
it (A) on RWR (vulcan on a KIFV).

b)
Renamed Chapparell vehicle to KSAM, made it point to radar 16 which makes
it (C) on RWR.

c)
Renamed Chapparell weapon (missile itself) to Chun-Ma.

d)
Edited BMPCMD to carry SA14's instead of SA7's.

e)
Added K200-AD and KSAM to ROK HQ units.

f)
Removed M163 from US HQ units and replaced with M2BCV.

g)
Gave Long Track to DPRK HQ units.

g)
Enabled SA-15 to hit above 10k feet with the value "15" in air blast
field instead of "0".



#8 Rename fix for F/A-18A (to F/A-18C)
======================================

The F/A-18A is renamed to F/A-18C.


File(s) changed:
----------------
"FALCON4.VCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
The F/A-18A is renamed to F/A-18C.



#9 Fix for "Ignore some aircraft" bug
=====================================

Jeffery "Rhino" Babineau (Deltahawks) and Eric "Snacko" Marlow discovered
that the combat class of certain aircraft was wrong and that this caused
them to be completely ignored by AI.



File(s) changed:
----------------
"FALCON4.ACD" in folder "\Falcon4\terrdata\objects"
"FALCON4.CT" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
The ACD records with CC (Combat Class in F4 Editor) = 8 are 1, 2, 3, 4, 5,
14, 16, 17, 27, and 28. This is where the bombers, helicopters, and ground
vehicles are listed.

For ACD records of 1, 2, 14, 17, 27, and 28, the CC was changed to 6
(6 is the value that the F-111 uses, and it was  found that the bombers
will be attacked when 6 is used).

Several aircraft that pointed to ACD record 4 were removed from it (now only
used for helicopters) and placed into other ACD records (listed next to the
aircraft below):

- AC-130U (ACD -> 14)
- C-130 (ACD -> 14)
- AN-24 (ACD -> 14)
- KC-130R (ACD -> 17)



#10 Fix for "Player wearing 'Target' sign on his back"
=====================================================

Jeffery "Rhino" Babineau (Deltahawks) discovered this. With this fix the
player is no longer "magnet" for all enemy assets and their weapons.



File(s) changed:
----------------
"FALCON4.CT" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
The F4 Editor "UNK10a" entry in ".ct" for aircraft apparently fixes this.
That value was 0 (same as for Mig-29 and F-18) and now is 1 (same as all
other aircraft in f4 sim).

Note: We must see if this value should also be changed for Mig-29 and F-18



#11 Fix for default bubble deaggregation ranges
===============================================

The default deaggregation ranges in original v1.08 are insufficient even
with Bubble slider fixed (see v0.16 #1 fix).


File(s) changed:
----------------
"FALCON4.CT" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a) Original v1.08 bubble ranges (with fixed Bubble slider)

Air bubble (Fixed wing aircraft)     : 20 nm
Air bubble (Helicopters)             :  8 nm
Ground bubble (All units)            :  4 nm


B_Sldr  B_Mltp  B_Air(FW)  B_Air(H)  B_Gnd
------------------------------------------
1       0.50    10.00       4.00     2.00
2       0.75    15.00       6.00     3.00
3       1.00    20.00       8.00     4.00
4       1.25    25.00      10.00     5.00
5       1.50    30.00      12.00     6.00
6       1.75    35.00      14.00     7.00
7       2.00    40.00      16.00     8.00

Other (higher) settings are available via command line "-gx" switch.


b) Modified bubble ranges

Air bubble (Fixed wing aircraft)     : 30 nm
Air bubble (Helicopters)             : 10 nm
Ground bubble (All units except SAMs): 10 nm
Ground bubble (SAMs)                 : Each SAM system has it's own unique


B_Sldr  B_Mltp  B_Air(FW)  B_Air(H)  B_Gnd(All)  B_Gnd_(SAMs)
--------------------------------------------------------------
1       0.50    15.00       5.00      5.00       Unique * 0.50
2       0.75    22.50       7.50      7.50       Unique * 0.75
3       1.00    30.00      10.00     10.00       Unique * 1.00
4       1.25    37.50      12.50     12.50       Unique * 1.25
5       1.50    45.00      15.00     15.00       Unique * 1.50
6       1.75    52.50      17.50     17.50       Unique * 1.75
7       2.00    60.00      20.00     20.00       Unique * 2.00

Other (higher) settings are available via command line "-gx" switch.

The default Bubble slider value of 3 = Bubble Multiplier of 1 (i.e. most
logical setting for all people) would mean that all player's weapons can be
used in proper way against all target types (air and ground) and that SAMs
are present at their proper ranges.

The people with slower machines who would have to go below that default
setting of 3 for Bubble slider will suffer some game limitations from
"wrong" performance of objects and weapons.



#12 SAM deaggregation, acquire and engagement ranges
====================================================

Eric "Snacko" Marlow created realistic SAM battalion values for deaggregation,
acquire and engagement range.

Radar track range:
- at this range the radar in SAM battalion would start tracking

Radar shown on RWR:
- at this range the radar in SAM battalion would show on player's RWR

SAM launch zone:
- at this range the actual launch would occur

SAM battalion deaggregation range:
- at this range the SAM battalion in question would deaggregate



File(s) changed:
----------------
"FALCON4.CT" in folder "\Falcon4\terrdata\objects"
"FALCON4.RCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a) SA-2
-------
Radar Range (".RCD")        : 221457    ft
RWR Setting (".RCD")        :      0.75
Launch Range (".WCD")       :     23    km
Deaggregation Range (".CT") : 147638    ft

b) SA-3
-------
Radar Range (".RCD")        : 152559    ft
RWR Setting (".RCD")        :      0.75
Launch Range (".WCD")       :     19    km
Deaggregation Range (".CT") : 123031    ft

c) SA-4
-------
Radar Range (".RCD")        : 209154    ft
RWR Setting (".RCD")        :      0.75
Launch Range (".WCD")       :     38    km
Deaggregation Range (".CT") : 246063    ft

d) SA-5
-------
Radar Range (".RCD")        : 664370    ft
RWR Setting (".RCD")        :      0.75
Launch Range (".WCD")       :     84    km
Deaggregation Range (".CT") : 553642    ft

e) SA-6
-------
Radar Range (".RCD")        :  68898    ft
RWR Setting (".RCD")        :      0.90
Launch Range (".WCD")       :     18    km
Deaggregation Range (".CT") : 118110    ft

f) SA-8
-------
Radar Range (".RCD")        :  73819    ft
RWR Setting (".RCD")        :      0.75
Launch Range (".WCD")       :      9    km
Deaggregation Range (".CT") :  60760    ft

g) SA-15
--------
Radar Range (".RCD")        :  61516    ft
RWR Setting (".RCD")        :      0.79
Launch Range (".WCD")       :      9    km
Deaggregation Range (".CT") :  60760    ft

h) Nike Hercules
----------------
Radar Range (".RCD")        : 295276    ft
RWR Setting (".RCD")        :      0.80
Launch Range (".WCD")       :    116    km
Deaggregation Range (".CT") : 762795    ft

i) Patriot
----------
Radar Range (".RCD")        : 418307    ft
RWR Setting (".RCD")        :      0.75
Launch Range (".WCD")       :    120    km
Deaggregation Range (".CT") : 787402    ft

j) Hawk
-------
Radar Range (".RCD")        : 210384    ft
RWR Setting (".RCD")        :      0.50
Launch Range (".WCD")       :     23    km
Deaggregation Range (".CT") : 147638    ft



#13 Mig-29 hardpoint fix for campaign A2A weapon usage
======================================================

It was noticed that enemy Mig-29 in campaign didn't carry A2A weapons when
tasked with A2G mission. This experiment tries to fix this.


File(s) changed:
----------------
"FALCON4.WLD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

The Mig-29 hardpoint "Mig-29 (1,2,5,6)" on positions 1 and 6 (i.e. closest
to wingtips) was changed with hardpoint "Enemy3" that was not unused (i.e.
not present at any plane in F4).

******************************************************************************



v0.17 04/02/2000
******************************************************************************

#01 Additional fix for default bubble deaggregation ranges
==========================================================

Due to serious framerate problems in both stand-alone and on-line playing
it was decided to temporary return all bubble range back to v1.08 original
values. More testing is needed here...


File(s) changed:
----------------
"FALCON4.CT" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a) Original v1.08 bubble ranges (with fixed Bubble slider)

Air bubble (Fixed wing aircraft)     : 20 nm
Air bubble (Helicopters)             :  8 nm
Ground bubble (All units except SAMs):  4 nm


B_Sldr  B_Mltp  B_Air(FW)  B_Air(H)  B_Gnd
------------------------------------------
1       0.50    10.00       4.00     2.00
2       0.75    15.00       6.00     3.00
3       1.00    20.00       8.00     4.00
4       1.25    25.00      10.00     5.00
5       1.50    30.00      12.00     6.00
6       1.75    35.00      14.00     7.00
7       2.00    40.00      16.00     8.00

Other (higher) settings are available via command line "-gx" switch.



#02 Additional fix for SAM deaggregation, acquire and engagement ranges
=======================================================================

It was noticed that ranges larger than 300000 are not usable since this is
the "SimBubbleSize" value inside "falcon4.AII" that depicts "outer bubble"
(i.e. it is max range at which "Far Labels" are visible).


File(s) changed:
----------------
"FALCON4.CT" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a) SA-5
-------
Radar Range (".RCD")        : 300000    ft
Deaggregation Range (".CT") : 300000    ft

b) Nike Hercules
----------------
Radar Range (".RCD")        : 295276    ft
Deaggregation Range (".CT") : 300000    ft

c) Patriot
----------
Radar Range (".RCD")        : 300000    ft
Deaggregation Range (".CT") : 300000    ft

******************************************************************************



v0.18 04/08/2000
******************************************************************************

#1 Extended ".icd" and ".rcd" files for further growth
======================================================

In order to enable further growth of missile seekers (both radar and IR)
it was necessary to extend current set of records.


File(s) changed:
----------------
"FALCON4.ICD" in folder "\Falcon4\terrdata\objects"
"FALCON4.RCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
I added 7 new seeker records in ".icd" (to total of 25) and 10 in ".rcd"
file (to total of 70). Those records were copied from record #1 (generic
seeker). I also changed the number of records at the beginning of ".icd"
and ".rcd".



#2 Rename fix for Chaparral (to KSAM/Chun-Ma)
=============================================

The Chaparral weapon system is no longer in US inventory and ROK uses local
variant. The vehicle is called KSAM and missile Chun-Ma. This rename fix
enables that. This accopmpanies earlier change of vehicle itself in v0.16 #7.



File(s) changed:
----------------
"FALCON4.SWD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------

a) Renamed Chaparral general data
---------------------------------
I renamed the Chaparral data to Chun-Ma.

.wcd renamed 1 record


b) Renamed Chaparral performance data
-------------------------------------
I renamed the Chaparral data (CHPRL) to Chun-Ma (CHUNMA).

.swd renamed 1 record


c) Renamed Chaparral data files
-------------------------------
I renamed the "chaparral.veh" to "chunma.veh" and "chprl.dat" to "chunma.dat"
in "Simdata.zip". I also changed reference in ".lst" files.



#3 Fixed HN-5A
==============

I enabled separate HN-5A antiaircraft missile (manpad). It was previously
linked through SA-7 (it used it's files and data) but that was bad since
HN-5A is more like SA-14 manpad.


File(s) changed:
----------------
"FALCON4.ct" in folder "\Falcon4\terrdata\objects"
"FALCON4.SWD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.ICD" in folder "\Falcon4\terrdata\objects"
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------

a) Added new record for HN-5A performance data
----------------------------------------------
I added 1 new record in ".swd" file. The HN-5A record was copied from
SA-14.

I also changed the number of records at the beginning of ".swd".

.swd address 00 from 5C (92) to 5D (93)
.swd added 1 new record


b) Added new HN-5A data files
-----------------------------
I added new ".veh" and ".dat" files to "Simdata.zip".

The "hn5a.veh" is #76 in (Simdata.zip/VehDef/vehicle.lst). The "hn5a.dat" is
#50 in (Simdata.zip/misdata/mistypes.lst).


Note:
For HN-5A I copied SA-14 ".veh" and ".dat" files.


Original "sa14.veh" (excerpts):

# Data Idx
21

Created "hn5a.veh" (excerpts):

# Data Idx
50


c) Changed HN-5A performance data
---------------------------------
I changed pointers to newly created ".dat" file (Simdata.zip/misdata).

.swd (h:5C, v:30) address 12E2 from 15 (21) to 32 (50)


d) Changed HN-5A general data
-----------------------------
I pointed HN-5A to newly created ".veh" file (Simdata.zip/VehDef).

.wcd (h:87, v:38) address 1FDE changed from 30 (48) to 4C (76)


e) HN-5A "command data"
-----------------------
I changed HN-5A pointer to newly created ".swd" record.

.ct (h:2CF, v:4A) address E3CB changed from 42 (66) to 5C (92)


f) HN-5A seeker data
--------------------
I copied SA-14 seeker data (#17) into record #18 that HN-5A uses in ".icd".

.icd 1 record copied



#4 Additional adjustment for weapon blast/damage
================================================

Jeffery "Rhino" Babineau (Deltahawks) and Eric "Snacko" Marlow additionally
adjusted weapon blast/damage.


File(s) changed:
----------------
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a)
Damage formula has been revised for penetrator weapons (BLU 109, AGM 65G,
BLU107, GBU-24 and GBU28).

b)
122mm returned to v0.15 values (air hit and air blast to 0 0).

c)
57mmAAA HE given air blast value of 1.

d)
37mm AAA HE given air blast of 1.



#5 Additional fix for ground units and weapons
==============================================

Jeffery "Rhino" Babineau (Deltahawks) additionally changed ground units and
weapons.


File(s) changed:
----------------
"FALCON4.UCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.VCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a)
152mm Arty vehicle renamed to KS-12 and given radar pointer of 9 ("A" or RWR).

b)
105 How HE weapon renamed to 85mm AAA HE.

b)
Towed AAA now has 9x ZU23's 6x KS-12's and replaced Kraz trucks with ZIL's.

c)
HART Artillery unit given 3 more KS-12.



#6 A2A missile range fix
========================

"Hoola" and Paul Stewart returned back all range values inside ".wcd"
for A2A missiles other than SARH due to some concerns that this affects
the AI engagement envelope.


File(s) changed:
----------------
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
I returned back all range values for non-SARH A2A missiles in ".wcd" to
v1.08 original state.



#7 Fix for B-1B landing gear ("fly any plane")
==============================================

Dave "DewDog" Wagner fixed B-1B landing gear. Now it doesn't break while
taking off and landing using fly any airplane "trick".


File(s) changed:
----------------
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------

The "b1b.dat" files was changed inside "\Falcon4\Zips\Simdata.ZIP"
(path = \sim\ACDATA).



#8 SAM fixes for SA-2/5/8/9/13/19 and Hawk
==========================================

"Hoola" and Paul Stewart started work on SAMs. So far they fixed
SA-2/5/8/9/13/19 and Hawk performance data.


File(s) changed:
----------------
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------

Other modifications are listed in separate files that "Hoola" provided.



#9 Additional SAM deaggregation, acquire and engagement ranges
==============================================================

Eric "Snacko" Marlow additionally tweaked SAM battalion values for
deaggregation, acquire and engagement range.

Note:
Although this documents below list new deaggregation ranges for SAMs they
were returned back to v1.08 values because more testing is needed (i.e. now
all ground units have default deaggregation range of 4 nm).


File(s) changed:
----------------
"FALCON4.CT" in folder "\Falcon4\terrdata\objects"
"FALCON4.RCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a) SA-2
-------
Radar Range (".RCD")        : 221457    ft
RWR Setting (".RCD")        :      0.65
Launch Range (".WCD")       :     23    km
Deaggregation Range (".CT") :  81081    ft

b) SA-3
-------
Radar Range (".RCD")        : 152559    ft
RWR Setting (".RCD")        :      0.72
Launch Range (".WCD")       :     19    km
Deaggregation Range (".CT") :  67567    ft

c) SA-4
-------
Radar Range (".RCD")        : 209154    ft
RWR Setting (".RCD")        :      0.77
Launch Range (".WCD")       :     38    km
Deaggregation Range (".CT") : 135134    ft

d) SA-5
-------
Radar Range (".RCD")        : 664370    ft
RWR Setting (".RCD")        :      0.63
Launch Range (".WCD")       :     84    km
Deaggregation Range (".CT") : 304052    ft

e) SA-6
-------
Radar Range (".RCD")        :  68898    ft
RWR Setting (".RCD")        :      0.79
Launch Range (".WCD")       :     18    km
Deaggregation Range (".CT") :  64864    ft

f) SA-8
-------
Radar Range (".RCD")        :  73819    ft
RWR Setting (".RCD")        :      0.62
Launch Range (".WCD")       :      9    km
Deaggregation Range (".CT") :  32432    ft

g) SA-15
--------
Radar Range (".RCD")        :  61516    ft
RWR Setting (".RCD")        :      0.79
Launch Range (".WCD")       :      9    km
Deaggregation Range (".CT") :  32432    ft

h) Nike Hercules
----------------
Radar Range (".RCD")        : 295276    ft
RWR Setting (".RCD")        :      0.63
Launch Range (".WCD")       :    116    km
Deaggregation Range (".CT") : 418916    ft

i) Patriot
----------
Radar Range (".RCD")        : 418307    ft
RWR Setting (".RCD")        :      0.70
Launch Range (".WCD")       :    120    km
Deaggregation Range (".CT") : 432430    ft

j) Hawk
-------
Radar Range (".RCD")        : 210384    ft
RWR Setting (".RCD")        :      0.50
Launch Range (".WCD")       :     23    km
Deaggregation Range (".CT") :  81081    ft

i) KSAM
-------
Radar Range (".RCD")        :  39370    ft
RWR Setting (".RCD")        :      0.30
Launch Range (".WCD")       :      8    km
Deaggregation Range (".CT") :  27027    ft



#10 Additional fix for voice (comm) messages
============================================

Thanks to Leif "Poogen" Ljung we have additional fixes for previously
broken voice (comm) messages:

- Proper leader identification (the caller did not ID himself right when
  flight had a number >1)

Please note that this overwrites changes done in v0.15 #1 with 1st version
of this fix.


File(s) changed:
----------------
"commFile.bin" inside "\Falcon4\sounds\"
"evalFile.bin" inside "\Falcon4\sounds\"
"fragFile.bin" inside "\Falcon4\sounds\"
"Falcon4.exe" inside "\Falcon4"


What was changed:
-----------------
214 bytes inside code.

Comparing pre-patched and patched exe:

0004F0E4: 52 53
0004F435: 0F E9
0004F436: BF E3
0004F437: C0 02
0004F438: 83 00
0004F439: F8 00
0004F43A: FF 90
0004F5F3: 07 06
0004F71D: 90 9C
0004F71E: 90 83
0004F71F: 90 F9
0004F720: 8B 4F
0004F721: 4C 74
0004F722: 24 2A
0004F723: 04 EB
0004F724: 83 1C
0004F725: F9 90
0004F726: FF 90
0004F727: 75 90
0004F728: 06 90
0004F729: 66 90
0004F72A: 0B 90
0004F72B: C1 90
0004F72C: C2 90
0004F72D: 04 90
0004F72E: 00 90
0004F72F: B8 90
0004F730: D3 90
0004F731: 4D 90
0004F732: 62 90
0004F733: 10 90
0004F734: F7 90
0004F735: E9 90
0004F736: 8B 90
0004F737: CA 90
0004F738: C1 90
0004F739: F9 90
0004F73A: 06 90
0004F73B: 8B 90
0004F73C: C1 90
0004F73D: C1 90
0004F73E: E8 90
0004F73F: 1F 90
0004F740: 03 90
0004F741: C8 9D
0004F742: 83 0F
0004F743: F9 BF
0004F744: 32 C0
0004F745: 7E 83
0004F746: 15 F8
0004F747: B8 FF
0004F748: 67 E9
0004F749: 66 EE
0004F74A: 66 FC
0004F74B: 66 FF
0004F74C: F7 FF
0004F74D: E9 EB
0004F74E: C1 06
0004F74F: FA 9D
0004F750: 02 E9
0004F751: 8B 1E
0004F752: CA FD
0004F753: C1 FF
0004F754: E9 FF
0004F755: 1F 53
0004F756: 8D 51
0004F757: 4C 52
0004F758: 0A 56
0004F759: 24 8B
0004F75A: EB 54
0004F75B: 1A 24
0004F75C: 83 24
0004F75D: F9 8B
0004F75E: 28 52
0004F75F: 7E 08
0004F760: 14 89
0004F761: B8 D6
0004F762: 67 81
0004F763: 66 C2
0004F764: 66 F0
0004F765: 66 23
0004F766: F7 02
0004F767: E9 00
0004F768: D1 8B
0004F769: FA 1A
0004F76A: 8B 81
0004F76B: C2 FB
0004F76C: C1 4C
0004F76D: E8 65
0004F76E: 1F 69
0004F76F: 8D 66
0004F770: 4C 74
0004F772: 1F EB
0004F773: EB 58
0004F774: 01 50
0004F775: 49 8B
0004F776: 85 5C
0004F777: C9 24
0004F778: 7D 2C
0004F779: 09 33
0004F77A: 83 C9
0004F77B: C9 83
0004F77C: FF C2
0004F77D: 66 04
0004F77E: 8B 66
0004F77F: C1 8B
0004F780: C2 02
0004F781: 04 66
0004F782: 00 39
0004F783: 83 C3
0004F784: F9 74
0004F785: 2D 0E
0004F786: 7E 83
0004F787: 05 C1
0004F788: B9 01
0004F789: 2D 83
0004F78A: 00 F9
0004F78B: 00 25
0004F78C: 00 7E
0004F78D: 66 ED
0004F78E: 8B 66
0004F78F: C1 B8
0004F790: C2 00
0004F791: 04 00
0004F792: 00 EB
0004F793: 90 06
0004F794: 90 83
0004F795: 90 C2
0004F796: 90 02
0004F797: 90 66
0004F798: 90 8B
0004F799: 90 02
0004F79A: 90 0F
0004F79B: 90 B7
0004F79C: 90 D8
0004F79D: 90 8B
0004F79E: 90 8C
0004F79F: 90 24
0004F7A0: 8B C0
0004F7A1: 4C 00
0004F7A2: 24 00
0004F7A3: 04 00
0004F7A6: FF 7C
0004F7A7: 75 7D
0004F7A8: 06 2C
0004F7A9: 66 81
0004F7AA: 0B E9
0004F7AB: C1 46
0004F7AC: C2 00
0004F7AD: 04 00
0004F7AF: B8 7C
0004F7B0: D3 24
0004F7B1: 4D 89
0004F7B2: 62 F0
0004F7B3: 10 05
0004F7B4: F7 8C
0004F7B5: E9 24
0004F7B6: 8B 02
0004F7B7: CA 00
0004F7B8: C1 01
0004F7B9: F9 D8
0004F7BA: 06 66
0004F7BB: 8B 8A
0004F7BC: C1 44
0004F7BD: C1 48
0004F7BE: E8 00
0004F7BF: 1F 0F
0004F7C0: 03 B6
0004F7C2: 83 58
0004F7C3: F9 66
0004F7C4: 3C 8B
0004F7C5: 7E C1
0004F7C6: 14 66
0004F7C7: B8 3D
0004F7C8: 67 FF
0004F7C9: 66 00
0004F7CA: 66 74
0004F7CB: 66 0A
0004F7CC: F7 5E
0004F7CD: E9 5A
0004F7CE: D1 59
0004F7CF: FA 5B
0004F7D0: 8B E9
0004F7D1: CA 7A
0004F7D2: C1 FF
0004F7D3: E9 FF
0004F7D4: 1F FF
0004F7D5: 8D 58
0004F7D6: 4C 85
0004F7D7: 0A DB
0004F7D8: 24 75
0004F7D9: EB 06
0004F7DA: 19 66
0004F7DB: 83 B8
0004F7DC: F9 2E
0004F7DD: 28 00
0004F7DE: 7E EB
0004F7DF: 14 EC
0004F7E0: B8 66
0004F7E1: 67 B8
0004F7E2: 66 00
0004F7E3: 66 00
0004F7E4: 66 EB
0004F7E5: F7 E6
0004F7E6: E9 90
0004F7E7: D1 90
0004F7E8: FA 90
0004F7E9: 8B FF
0004F7EA: C2 FF
0004F7EB: C1 FF
0004F7EC: E8 FF
0004F7ED: 1F FF
0004F7EE: 03 00
0004F7EF: D0 00



#11 Additional Mig-29 hardpoint fix for campaign A2A weapon usage
=================================================================

The experiment with v0.16 #13 showed good results and now the Mig-29 did
carry A2A weapons when on A2G sorties.

This is because in original v1.08 the same pylon (hardpoint) data was used
for 4 Mig-29 hardpoints (1,2,5,6). Apparently the ATO in campaign couldn't
mix stuff within them and it had to choose exactly the same loadouts for
all of them and hence not loading A2A weapons when A2G are selected. This is
fixed now with 3 separate hardpoints available for Mig-29.


File(s) changed:
----------------
"FALCON4.WLD" in folder "\Falcon4\terrdata\objects"
"FALCON4.VCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a)
I added 1 new record in ".wld" file.

.wld address 00 from 66 (102) to 67 (103)
.wld added 1 new record

This new recored is called "Mig-29 (1,6)" and used on positions 1 and 6. It's
data is exact copy of former "Mig-29 (1,2,5,6)" hardpoint.

b)
The Mig-29 hardpoint "Mig-29 (1,2,5,6)" now only in positions 2 and 5 is
renamed to "Mig-29 (2,5)".



#12 Rename fix for CBU-89B (to CBU-97)
======================================

The CBU-89B was renamed to CBU-97. This is because minefields don't work in
F4. The CBU-97 is armour killer.



File(s) changed:
----------------
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.SWD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
The CBU-89B was renamed to CBU-97 in ".wcd" and from "CBU89B" to "CB97"
in ".swd".

******************************************************************************



v0.19 04/14/2000
******************************************************************************

#1 Additional SAM deaggregation, acquire and engagement ranges
==============================================================

Eric "Snacko" Marlow once more additionally tweaked SAM battalion values
for deaggregation, acquire and engagement range.

Note:
Although this documents below list new deaggregation ranges for SAMs they
were returned back to v1.08 values because more testing is needed (i.e. all
ground units sill have default deaggregation range of 4 nm).


File(s) changed:
----------------
"FALCON4.CT" in folder "\Falcon4\terrdata\objects"
"FALCON4.RCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a) SA-2
-------
Radar Range (".RCD")        : 221457    ft
RWR Setting (".RCD")        :      0.65
Launch Range (".WCD")       :     23    km
Deaggregation Range (".CT") : 243602    ft

b) SA-3
-------
Radar Range (".RCD")        : 152559    ft
RWR Setting (".RCD")        :      0.72
Launch Range (".WCD")       :     19    km
Deaggregation Range (".CT") : 167815    ft

c) SA-4
-------
Radar Range (".RCD")        : 209154    ft
RWR Setting (".RCD")        :      0.77
Launch Range (".WCD")       :     38    km
Deaggregation Range (".CT") : 230069    ft

d) SA-5
-------
Radar Range (".RCD")        : 664370    ft
RWR Setting (".RCD")        :      0.63
Launch Range (".WCD")       :     84    km
Deaggregation Range (".CT") : 300000    ft

e) SA-6
-------
Radar Range (".RCD")        :  68898    ft
RWR Setting (".RCD")        :      0.79
Launch Range (".WCD")       :     18    km
Deaggregation Range (".CT") :  75787    ft

f) SA-8
-------
Radar Range (".RCD")        :  73819    ft
RWR Setting (".RCD")        :      0.62
Launch Range (".WCD")       :      9    km
Deaggregation Range (".CT") :  81201    ft

g) SA-15
--------
Radar Range (".RCD")        :  61516    ft
RWR Setting (".RCD")        :      0.79
Launch Range (".WCD")       :      9    km
Deaggregation Range (".CT") :  67667    ft

g) SA-19
--------
Radar Range (".RCD")        :  39370    ft
RWR Setting (".RCD")        :      0.70
Launch Range (".WCD")       :      6    km
Deaggregation Range (".CT") :  43307    ft

i) Nike Hercules
----------------
Radar Range (".RCD")        : 295276    ft
RWR Setting (".RCD")        :      0.63
Launch Range (".WCD")       :    116    km
Deaggregation Range (".CT") : 300000    ft

j) Patriot
----------
Radar Range (".RCD")        : 418307    ft
RWR Setting (".RCD")        :      0.70
Launch Range (".WCD")       :    120    km
Deaggregation Range (".CT") : 300000    ft

k) Hawk
-------
Radar Range (".RCD")        : 210384    ft
RWR Setting (".RCD")        :      0.50
Launch Range (".WCD")       :     23    km
Deaggregation Range (".CT") : 231422    ft

l) KSAM
-------
Radar Range (".RCD")        :  39370    ft
RWR Setting (".RCD")        :      0.30
Launch Range (".WCD")       :      8    km
Deaggregation Range (".CT") :  43307    ft



#2 Additional fix for Mig-19 
============================

When I changed Mig-19 in v0.02 #1 I made mistake with internal linking. This
fixes that error.


File(s) changed:
----------------
"FALCON4.CT" in folder "\Falcon4\terrdata\objects"
"FALCON4.ACD" in folder "\Falcon4\terrdata\objects"
"FALCON4.RCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a) Changed Mig-19 "command data"
--------------------------------
I returned Mig-19 pointers to ".acd" to it's proper place.

.ct (h:0AB, v:4A) address 3667 changed from 13 (19) to 12 (18)
.ct (h:442, v:4A) address 14F0E changed from 13 (19) to 12 (18)
.ct (h:66C, v:4A) address 20878 changed from 13 (19) to 12 (18)
.ct (h:66D, v:4A) address 208C9 changed from 13 (19) to 12 (18)
.ct (h:66E, v:4A) address 2091A changed from 13 (19) to 12 (18)

b) Changed Mig-19 radar data
----------------------------
I used previously unused record #61 inside ".rcd" (it was added in v0.18 #1)
for new Mig-19 radar. I also copied the closest possible radar data in it
(Mig-21 radar record #5 was used).

Sound        :37
Image        :3
Sweeptime    :3000
RWR          :0.5
Low RWR      :0.5
Range        :91143.2
BeamWidth    :0.0523599	
Azimuth      :1.0472
Elevation    :1.0472
LookDownRange:0.3
FloatUnk     :0.5
ECM          :0.5
Beam Dist    :0.8
Min Doppler  :101.27


c) Changed Mig-19 aircraft data
-------------------------------
I modified the ".acd" record #18 by adding radar sensor (2nd sensor to "1"
instead of "-1") and changed ".rcd" pointer to "61" instead of "-1" (i.e.
there was no radar for Mig-19 in original v1.08).



#3 Additional fix for aircraft payload (hardpoints)
---------------------------------------------------

Jeffery "Rhino" Babineau (Deltahawks) and Paul Stewart discovered that the
hardpoint changes affect loadout brain and campaign tasking brain. It is
important that items get tasked in priority and that only similar items be
replaced. If A2G weapon is removed, a similar A2G weapon needs to be placed.
If a A2G weapon is placed where a A2A weapon used to be, it is likely the
tasking for that aircraft will be prioritized to A2G roles. In some cases
we can manipulate the tasking brain to select more A2A mission profiles if
the hardpoint is stacked with multiple A2A weapons. This is why you may see
4 slots for AA-11 in one hardpoint for Mig-29 (for example).

This fix also changes priority of weapons in weapon list to use best weapon
first and increase likely hood that aircraft will be tasked with A2A missions
and A2A weapon loads in case of fighters like Mig-29 and Su-27.

The changes are coordinated work of Jeffery "Rhino" Babineau (Deltahawks),
Paul Stewart, "Hoola", Lloyd Cole and Eric "Snacko" Marlow.


File(s) changed:
----------------
"FALCON4.WLD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a) Mig-29
---------
Jeffery "Rhino" Babineau (Deltahawks) will later provide details.

b) F14
------
"F-14 body" : Removed AIM-120, replaced with AIM-54
"F-14 wing" : Removed AIM-120, replaced with AIM-54, placed AIM-9P as
              last in priority
"F-14 wingside": Placed AIM-9M first

c) F-16
-------
"F-16 (2,8)": Removed AIM-7 and replaced with AIM-120
"F-16 (3,7)": Added CBU-97, MK-20 now at 3 from 2. CBU-58 now 3 from 2,
              removed AIM-7 and replaced with AIM-120, LAU/3 now at 2
              instead of 1, reduced GBU-12 to 2 from 3, added CBU-97
"F-16 (4,6)": GBU-12 reduced from 3 to 1, 600 GAL tank removed, remove
              ability to carry BLU-109, can only carry 1 AGM-65x, added
              CBU-97, can carry GBU-10

d) F-15 (C and E)
-----------------
"F-15 (3,4,6,7)": Removed AIM-7 and replaced with AIM-120
"F-15 FastPack": Removed AIM-7 and replaced with AIM-120
"F-15E (2,8)": Removed AIM-7 and replaced with AIM-120
"F-15E (3,4,6,7)": Removed AIM7 and replaced with AIM-120

e) MIG-21
---------
"Mig-21 Outer": Removed 100 gal tank, replaced with AA-8.

f) F-5E
-------
"F-5E (1,9)": Removed AIM-9R and replaced with AIM-9P.

g) B-52H
--------
"B-52 bay": MK-82 and BSU-49 reduced to 27 from 84, 27 CBU-97 added, 27
            CBU-87 added, BSU-50 and MK-84 reduced to 8 from 21, added
            CBU-52 and CBU-58
"B-52 pylon": added 6 CBU-52/58/87/97, MK-84 raised to 6, removed
              GBU-10/12/24

h) SU-27
--------
"Su-27 (2,3,8,9)": Replaced AA-10B with AA-12 for priority weapon, added
                   AA-10A (B and C already present), removed LGB's
"Su-27 (4,5,6,7)": Replaced AA-10B with AA-12 for priority weapon, added
                   AA-10A (B and C already present)



#4 Additional adjustment for weapon blast/damage
================================================

Jeffery "Rhino" Babineau (Deltahawks) and Eric "Snacko" Marlow additionally
adjusted weapon blast/damage.


File(s) changed:
----------------
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.SWD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a)
CBU-89 changed to CBU-97 SFW (weight changed to 992lbs and damage = 300)

b)
New A2A Missile blast ranges from Jeff/Paul

c)
AGM-65G "Hit Data" changed to prioritize for "NOMOVE" (non-movable) targets

d)
GBU-28 "Hit Data" changed to prioritize for NOMOVE targets

e)
GBU-24 "Hit Data" changed to prioritize for NOMOVE targets

f)
Updated Float2 value for CBU-97 to 992lbs



#5 Additional fix for ground units and weapons
==============================================

Jeffery "Rhino" Babineau (Deltahawks) and Eric "Snacko" Marlow additionally
changed ground units and weapons.


File(s) changed:
----------------
"FALCON4.UCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a)
Removed incorrect placement of KSAM in US battalion

b)
Correctly placed HN-5a MANPAD in Chinese and NK battalions, removed SA-7
from Russian units and added SA-14 instead



#6 Additional fix for some squadron stores
===========================================

Jeffery "Rhino" Babineau (Deltahawks) additionally changed some weapons.


File(s) changed:
----------------
"FALCON4.SSD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
Added CBU-97 to all US Aircraft squadron stores



#7 Additional A2A missile range fix
===================================

"Hoola" and Paul Stewart additional fixed A2A missile ranges.


File(s) changed:
----------------
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
Corrected A2A Missile ranges

AA-10C: 38
AA-12: 55
AIM-54: 80
AIM-120: 50



#8 Additional SAM fixes (SA-2/5/6/9/14/19 and Hawk)
===================================================

"Hoola" and Paul Stewart additionally fixed SAMs.


File(s) changed:
----------------
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------

Other modifications are listed in separate files that "Hoola" provided.



#9 Additional fix for SA-5 SAM
==============================

"Hoola" and Paul Stewart additionally fixed SA-5. The SA-5 is now as
it should be with active radar terminal homing.


File(s) changed:
----------------
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.RCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a) Changed SA-5 weapon data
---------------------------
The SA-5 was changed from "Radar Guided" to "Radar (SAM)". The "Seeker Radar"
value was updated to point to radar record #60.

b) Changed SA-5 terminal homing radar data
------------------------------------------
"Hoola" used previously unused record #60 inside ".rcd" (it was added in
v0.18 #1) for new SA-5 terminal homing radar.

Sound        :165
Image        :4
Sweeptime    :3000
RWR          :0.7
Low RWR      :0.7
Range        :42592
BeamWidth    :0.1309	
Azimuth      :1.0472
Elevation    :0.209439
LookDownRange: 0.5
FloatUnk     :0.8
ECM          :0.5
Beam Dist    :0.3
Min Doppler  :101.27



#10 Additional fix for comms (AWACS, Tower, Tanker, Wingman/Element/Flight)
===========================================================================

Kurt "Froglips" Giesselman and Thomas McCauley decided that we should return
back to v0.01 #2 values. This is because more tweaking is needed to get
proper voice response (if possible). Using commands without proper voice
response can be confusing for many users.


File(s) changed:
----------------
"menu.dat" in folder "\Falcon4\art\ckptart\"


What was changed:
-----------------
Values from v0.01 #2 are temporary back.



#11 F4 pilot names database changed
===================================

Jeffery "Rhino" Babineau (Deltahawks) and Eric "Snacko" Marlow additionally
added iBETA team member names to pilot names database inside F4 (used by AI
pilots).


File(s) changed:
----------------
"Strings.wch" inside "\Falcon4\campaign\SAVE"


What was changed:
-----------------
iBETA team member names were added inside F4 pilot names database.



#12 Fix for more realistic AIM-9M Sidewinder "growl"
====================================================

Eric "Snacko" Marlow found more realistic AIM-9M Sidewinder "growl".


File(s) changed:
----------------
"growl.wav" inside "\Falcon4\sounds\"


What was changed:
-----------------
More realistic AIM-9M Sidewinder "growl" added.



#13 Additional adjustment for aircraft fuel values  
==================================================

Jeffery "Rhino" Babineau (Deltahawks) found a discrepancy between fuel data
in aircraft ".dat" files, the ".wcd" file (used for payload window) and
actual fuel taken for flight in ".ucd" file. Because of that some aircraft
run out of fuel...


File(s) changed:
----------------
"FALCON4.UCD" in folder "\Falcon4\terrdata\objects"
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------
Jeff increased fuel load for F-5E and A-10A that was under allotted fuel for
aircraft. He also changed all aircraft ".dat" files (except F-16C).

******************************************************************************



v0.20 04/21/2000
******************************************************************************

#1 Additional fix for missiles (A2A and SAM)
============================================

"Hoola" and Paul Stewart additionally fixed missiles (A2A and SAMs).

The AA-11, SA-2/3/4/5/6/7/8/9/13/14/15/19, HN-5A, Patriot, Nike Hercules,
Hawk, Chun-Ma and Stinger were modified.


File(s) changed:
----------------
"Simdata.ZIP" in folder "\Falcon4\Zips"
"FALCON4.ICD" in folder "\Falcon4\terrdata\objects"
"FALCON4.RCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a)
SA-5 terminal radar
RWR          :0.85
Low RWR      :0.85

b)
SA-8
RANGE:	Changed from 9 to 8
AIR HIT:	Remained at 16
AIR BLAST:	Changed from 16 to 1

c)
SA-9
RANGE:	Changed from 3 to 6
AIR HIT:	Remained at 5
AIR BLAST:	Changed from 0 to 1

d)
SA-13
RANGE:	Changed from 3 to 6
AIR HIT:	Remained at 8
AIR BLAST:	Changed from 0 to 1

Other modifications are listed in separate files that "Hoola" provided.



#2 Graphical changes to several weapons and vehicles
====================================================

Eric "Snacko" Marlow changed graphical representation for several weapons
and units.


File(s) changed:
----------------
"FALCON4.CT" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a)
KS-12 now has the D-30 graphic

b)
Chun-Ma missile now has the AA-1 graphic

c)
Reserve Squad now has the AK47 (squad) graphic

d)
M2A2 BSFV now has the M2A2 BCV graphic

e)
BTR-60 now has the BTR-70 graphic

f)
M-1992 (originally the Type 63) now has the ZSU-57-2 graphic) since it is the
DPRK designation

g)
ZPU-2 now has the ZU-23 graphic



#3 Rename fix for several vehicles and weapons
==============================================

Eric "Snacko" Marlow changed naming preference for several vehicles and
weapons. He also changed naming preference for SAMs and their missiles
according to idea that Jeffery "Rhino" Babineau (Deltahawks) created. 

This fix allows much better name distinction when using ACMI and labels.


File(s) changed:
----------------
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.VCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a)
Renamed the Type 63 37mm AAA to the M-1992 (DPRK designation).

b)
Renamed Patriot and Hawk launchers to "MIM-104 Patriot" and "MIM-23 Hawk"
to allow distinction from their missiles in ACMI and while using labels

c)
Renamed all SAM launchers with addition of a hyphen (all SAM launchers
have "~" in their names)

d)
Renamed all SAM missiles with removal of a hyphen (all SAM missiles no
longer have "~" in their names)



#4 Fix for runway section repair time
=====================================

Paul Stewart changed runway section repair time in order to reflect
real-life performance of repair crews.


File(s) changed:
----------------
"FALCON4.FCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
The runways repair time of "1" was given. This translates into 3-5 hours to
repair per runway section (sources say an entire runway can be repaired in
4-6 hours).



#5 Additional fix for ground units and weapons
==============================================

Jeffery "Rhino" Babineau (Deltahawks) and Eric "Snacko" Marlow additionally
changed ground units and weapons.


File(s) changed:
----------------
"FALCON4.UCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.VCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a)
Created OOB (Order Of Battle) improvements for DPRK MECH UNIT, US PATRIOT
UNIT, and other US UNITS that contain the Stinger and the vehicles that
carry it (M2A2 BSFV, M6 BL, Avenger, and HUMWVEE-S)

b)
Created the M2A2 Bradley Stinger Fighting Vehicle (BSFV) and gave it the
correct loadout (BSFV is a Bradley with a Stinger team inside)

c)
Created the M6 Bradley Linebacker (BL) and gave it the correct loadout
(M6 BL is a Bradley with the Avenger Stinger pod mounted externally)

d)
Corrected the loadouts of the other Bradley variants: M2A2, M3A3, and M2A2 BCV

e)
Created the ZPU-2 14.5mm towed AAA gun for use by the DPRK

f)
Created the BTR-60 for use by the DPRK and gave it the correct loadout

g)
Corrected weapons loads for MLRS, BM21, SCUD, BM24, and FROG-7

h)
Removed the 105mm gun from the BMP-3, as this is not accurate



#6 Additional adjustment for weapon blast/damage
================================================

Eric "Snacko" Marlow additionally adjusted weapon blast/damage.


File(s) changed:
----------------
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a)
Corrected an error with the new CBU-97 (allow it to be tasked on flights
and reduced it's blast radius)

b)
Corrected the 37mm AAA gun to allow flak blasts (unknown values at bottom
of WCD page were made to mirror the 57mm AAA gun), the 37mm gun now has a
maximum effective altitude of approx. 8500ft



#7 Sound fix for prop aircraft
==============================

Eric "Snacko" Marlow found more realistic sound for prop aircraft. He used
instructions given to him by Jeffery "Rhino" Babineau (Deltahawks).


File(s) changed:
----------------
"prop.wav" inside "\Falcon4\sounds\"


What was changed:
-----------------
The more realistic "c130.wav" sound was copied over original "prop.wav".



#8 Additional fix for default bubble deaggregation ranges
=========================================================

Eric "Snacko" Marlow additional fixed default bubble deaggregation ranges
for all units (vehicles and aircraft) and objects.

Please note that current default setting for "Bubble Slider" is considered
to be 7 (i.e. this is "Bubble Multiplier" = 2). People with slower systems
would have to decrease this and, unfortunately, suffer from not perfect
weapon and AI aircraft performance.


File(s) changed:
----------------
"FALCON4.CT" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

Eric "Snacko" Marlow will later provide more details.



#9 Fix for "Force Feedback"
===========================

Thanks to Sylvain Gagnon we now have fixed "Force Feedback".


File(s) changed:
----------------
"Falcon4.exe" inside "\Falcon4"


What was changed:
-----------------
1 byte inside code.

Comparing pre-patched and patched exe:

001CC1E6: 0A 05

******************************************************************************



v0.21 04/29/2000
******************************************************************************

#1 Fix for "DevSurfaceCreateError"
==================================

Thanks to Sylvain Gagnon we now have fixed "DevSurfaceCreateError".


File(s) changed:
----------------
"Falcon4.exe" inside "\Falcon4"


What was changed:
-----------------
110 bytes inside code.

Comparing pre-patched and patched exe:

00101C44: 90 E8
00101C45: 90 27
00101C46: 90 5B
00101C47: 90 0C
00101C48: 90 00
00101C49: 90 E9
00101C4A: 90 AC
00101C4B: 90 03
00101C4C: 90 00
00101C4D: 90 00
00101ED1: 90 50
00101ED2: 90 8B
00101ED3: 90 01
00101ED4: 90 A3
00101ED5: 90 A4
00101ED6: 90 0F
00101ED7: 90 86
00101ED8: 90 00
00101ED9: 90 58
00101EDA: 90 E9
00101EDB: 90 65
00101EDC: 90 FD
00101EDD: 90 FF
00101EDE: 90 FF
00101FF5: E8 E9
00101FF6: 76 D7
00101FF7: 57 FE
00101FF8: 0C FF
00101FF9: 00 FF
0017376E: A1 E9
0017376F: E4 40
00173770: 29 01
00173771: 8C 00
001738B3: 90 51
001738B4: 90 B9
001738B5: 90 32
001738B6: 90 00
001738B7: 90 00
001738B8: 90 00
001738B9: 90 6A
001738BA: 90 64
001738BB: 90 E9
001738BC: 90 71
001738BD: 90 01
001738BE: 90 00
001738BF: 90 00
00173A31: 90 FF
00173A32: 90 15
00173A33: 90 4C
00173A34: 90 7A
00173A35: 90 8C
00173A36: 90 00
00173A37: 90 49
00173A38: 90 E9
00173A39: 90 27
00173A3A: 90 01
00173A3B: 90 00
00173A3C: 90 00
00173B64: 90 A1
00173B66: 90 25
00173B67: 90 8A
00173B68: 90 00
00173B69: 90 85
00173B6A: 90 C0
00173B6B: 90 EB
00173B6C: 90 3B
00173BA8: 90 0F
00173BA9: 90 84
00173BAA: 90 99
00173BAB: 90 00
00173BAC: 90 00
00173BAD: 90 00
00173BAE: 90 EB
00173BAF: 90 33
00173BE3: 90 85
00173BE4: 90 C9
00173BE5: 90 0F
00173BE6: 90 85
00173BE7: 90 CE
00173BE8: 90 FC
00173BE9: 90 FF
00173BEA: 90 FF
00173BEB: 90 EB
00173BEC: 90 44
00173C31: 90 8B
00173C32: 90 0D
00173C33: 90 A4
00173C34: 90 0F
00173C35: 90 86
00173C36: 90 00
00173C37: 90 E8
00173C38: 90 34
00173C39: 90 1A
00173C3A: 90 02
00173C3B: 90 00
00173C3C: 90 EB
00173C3D: 90 09
00173C47: 90 59
00173C48: 90 EB
00173C49: 90 79
00173CC3: 90 A1
00173CC4: 90 E4
00173CC5: 90 29
00173CC6: 90 8C
00173CC7: 90 00
00173CC8: 90 E9
00173CC9: 90 A6
00173CCA: 90 FA
00173CCB: 90 FF
00173CCC: 90 FF



#2 F4 pilot names database additionally changed
===============================================

Jeffery "Rhino" Babineau (Deltahawks) and Eric "Snacko" Marlow additionally
changed pilot names database inside F4 (used by AI pilots). This time it
includes iBETA members together with other testers and famous pilots.


File(s) changed:
----------------
"Strings.wch" inside "\Falcon4\campaign\SAVE"


What was changed:
-----------------
New names were added inside F4 pilot names database.



#3 Additional fix for missiles (A2A and SAM)
============================================

"Hoola" and Paul Stewart additionally fixed missiles (A2A and SAMs).

The AA-1/2/2R/6/6R/7/7R/8/10A/10B/10C/11/12, AIM-9LM/9P/7/54/120,
SA-2/3/4/5/6/7/8/9/13/14/15/19, HN-5A, Patriot, Nike Hercules, Hawk,
Chun-Ma and Stinger were modified.


File(s) changed:
----------------
"Simdata.ZIP" in folder "\Falcon4\Zips"
"FALCON4.ICD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

Max Alt for SA-3 was changed from 30 to 48.

Other modifications are listed in separate files that "Hoola" provided.



#4 Graphical changes to several weapons and vehicles
====================================================

Eric "Snacko" Marlow changed graphical representation for several weapons
and units.


File(s) changed:
----------------
"FALCON4.CT" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

New graphics pointers were added for the KS-19, M-1939, and S-60 (Eric had to
use the D-30 graphic as there wasn't a lot of choices).



#5 Additional fix for ground units and weapons
==============================================

Jeffery "Rhino" Babineau (Deltahawks) and Eric "Snacko" Marlow additionally
changed ground units and weapons.


File(s) changed:
----------------
"FALCON4.UCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.VCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a)
The 60mm mortar (not used) was changed to the 100mm AAA gun and it was
given appropriate values (similar to 57mm AAA, but more powerful)

b)
Other AAA guns (20mm AAA, 37mm AAA, 57mm AAA, 85mm AAA) were changed to
allow more damage to be caused due to their rapid fire nature

c)
The S-60 was created from 152mm Arty (CT 569) and it was given a 57mm AAA gun

d)
The M-1939 was created from 155mm Gun (CT 681) and it was given a 37mm AAA gun

e)
The KS-19 was created from 155mm Gun (CT 684) and it was given a 100mm AAA gun

f)
The HUMWVEE-S was fixed to allow it to fire it's Stingers

g)
The ".swd" pointer for 57mm AAA was fixed (it was AA10c, made it GUNXXX)

h)
The ".ct" pointer for 125mm HEAT round was fixed (it was marked as an AIR
weapon, and we made it ABSTRACT like other tank rounds)

i)
The S-60, ZPU-2, and M-1939 were added to DPRK AAA Battalions

j)
The KS-19 was added to DPRK HART UNIT

k)
Created OOB (Order Of Battle) improvements for SA-2/3/5 battalions

l)
Created OOB (Order Of Battle) improvements for Patriot battalion

m)
The HUMWVEE-S was added to ROK M-48 Tank Battalion



#6 Additional adjustment for weapon blast/damage
================================================

Jeffery "Rhino" Babineau (Deltahawks) and Eric "Snacko" Marlow additionally
adjusted weapon blast/damage.


File(s) changed:
----------------
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a)
CBU-97 blast radius now 1200

b)
CBU-87 blast radius now 1300



#7 Additional fix for aircraft payload (hardpoints)
---------------------------------------------------

Jeffery "Rhino" Babineau (Deltahawks) and Eric "Snacko" Marlow additionally
fixed aircraft payload (hardpoints).


File(s) changed:
----------------
"FALCON4.WLD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a)
The hardpoint name for F-15C was changed from "F-15 (2-8)" to "F-15 (2-10)"

b)
The 2 AIM-9 missiles were added to hardpoints "F-15 (2-10)" (it only had 1
before)

c)
The EA-6B was given an ALQ-131, 3 100 gal tanks, and 2 HARMS



#8 Fix for rocket-like weapons (FPS saver)
------------------------------------------

Jeffery "Rhino" Babineau (Deltahawks) and Eric "Snacko" Marlow adjusted
rocket-like weapons. It was discovered that, although it is "eye candy" to
see them flying while overflying FLOT, they kill framerate. In order to
fix that it was decided that they should be made "invisible".

This only means that they can't be seen in combat - they still do inflict
damage and are used by AI. 

Please note that research is still going on regarding helicopters not firing
missiles. Testers should use helicopters armed with "Hellfires" since that
missile is NOT made "ABSTRACT" and is suitable for testing.


File(s) changed:
----------------
"FALCON4.CT" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

The following weapons were transferred to "invisible" (i.e. DOMAIN=ABSTRACT,
CLASS=Weapon, Type=3):

AT-2/3/4/5/6, Dragon, LAAW, 122mm RKT, MLRS, 240mm Rocket, 57mm Rocket and
TOW



#9 Additional fix for default bubble deaggregation ranges
=========================================================

Kurt "Froglips" Giesselman is coordinator for so called "Bubble Mafia"
sub-group. They additionally fixed default bubble deaggregation ranges.

With the unlocking of the bubble slider and the discovery of Unit and
Objective Deaggregation Distances by Sylvain Gagnon, iBETA has been able to
improve the realism, accuracy, and effectiveness of a number of items in
Falcon4. To obtain the realism that iBETA has designed into RP the Bubble
Slider Setting (BSS) should be set to 7 for single player Tactical
Engagements and Campaigns. Settings lower than 7 are appropriate for
multiplayer sessions. For multiplayer sessions you will need to observe
where ground units deaggregate on GM radar and adjust your BSS until ground
units generally deaggregate at 8 miles.


The bubble slider is simply a multiplier of fixed deaggregation ranges. 
Based on the iBETA BSS of 7, the following multipliers apply (use the command
line switch -g8 to access BSS values greater than 7):

1	0.25
3	0.5
7	1.0
11	1.5
15	2.0
19	2.5
23	3.0
27	3.5
31	4.0
35	4.5
39	5.0
43	5.5
47	6.0
49	6.25

These multipliers will give the actual distance that a Unit or Objective will
deaggregate in a single player game. The composite player position that
combines player bubbles in multiplayer games makes the deaggregation
distances dynamic and impossible to quote at a fixed number.

The effect of these changes are:
a) SAM missiles power up at deaggregation and begin to search. SAM missiles
   lock on at maximum launch range and launch when the target is within
   parameters
b) AI aircraft can hit fixed ground targets (Objectives) with dumb bombs
c) Ground Units are deaggregated at the maximum effective range of the
   APG-68 ground radar without use of the cursor bubble
d) Fixed wing aircraft are deaggregated at 30 miles to facilitate sorting,
   this also means that enemy aircraft missiles target and perform in a
   realistic manner

A final word on frame rates. The effects of these changes on your frame rates
are machine specific and iBETA can not predict them. We have made every effort
to reduce the degradation of graphic's performance on a typical computer. Your
frame rates may decrease, increase, or remain the same depending on your
specific hardware configuration. We suggest that turning down the Detail
sliders (Terrain and Object) and the Special Effects slider is the best way
to recover frame rates while maintaining the realism we are trying to achieve.
 

File(s) changed:
----------------
"FALCON4.CT" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

The ".ct" file entries (in feet) were changed as follows:

Objective Deaggregation Distances to                	90000
Fixed wing aircraft Unit Deaggregation Distances to 	90000
Rotary wing aircraft Unit Deaggregation Distances to 	30000
Naval vessel Unit Deaggregation Distances to		30000
Ground Unit Deaggregation Distances to		      24000
SAM Unit Deaggregation Distances to	maximum launch range + 10%


This means that Deaggregation Distances for Units and Objectives with Bubble
Slider Setting at 7 are:

                      deaggregation @ (nm)
Fixed wing aircraft                    30
Rotary wing aircraft                   10
Naval Units                            10
Ground Units                            8
Fixed SAMs                             maximum launch range + 10%
All Objectives                         30



#10 Extended ".wld" file for further growth
===========================================

In order to enable further growth of aircraft pylons (hardpoints) it was
necessary to extend current set of records.


File(s) changed:
----------------
"FALCON4.WLD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------
I added 12 new records in ".wld" (to total of 115)

.wld address 00 from 67 (103) to 73 (115)
.wld added 12 new records

Those records were copied from record #1 (empty) and named "Unused". I also
changed the number of records at the beginning of ".wld" file.



#11 Mig-19 hardpoint fix
========================

I added 4 hardpoints to Mig-19 (it previously only carried 4 AA-1).


File(s) changed:
----------------
"FALCON4.WLD" in folder "\Falcon4\terrdata\objects"
"FALCON4.VCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

I created 2 Mig-19 hardpoints using 2 "Unused" hardpoints. Those two new
hardpoints are called "Mig-19 (1,4)" and "Mig-19 (2,3)". The weapons placed
on them are:

- 1x AA-2
- 1x AA-2R
- 1x AA-1



#12 Additional rename fix for F/A-18A (to F/A-18C) and B-52G (to B-52H)
=======================================================================

I additionally changed the F/A-18A (to F/A-18C) and B-52G (to B-52H). This
time you see the correct names in TE and campaign since I managed to find
a way to alter names in UI (User Interface). This accompanies changes done
in v0.15 #8 and v0.16 #10 patch.


File(s) changed:
----------------
"lcktxtrc.irc" in folder "\Falcon4\Art\main\" 


What was changed:
-----------------

The F/A-18A was changed to F/A-18C and B-52G was changed to B-52H.

******************************************************************************



v0.22 05/05/2000
******************************************************************************

#1 Additional fix for "DevSurfaceCreateError"
=============================================

Thanks to Sylvain Gagnon we now have additionally fixed
"DevSurfaceCreateError".

Please note that this overwrites changes done in v0.21 #1 with 1st version
of this fix.


File(s) changed:
----------------
"Falcon4.exe" inside "\Falcon4"


What was changed:
-----------------
146 bytes inside code.

Comparing pre-patched and patched exe:

00101C44: 90 E8
00101C45: 90 27
00101C46: 90 5B
00101C47: 90 0C
00101C48: 90 00
00101C49: 90 E9
00101C4A: 90 AC
00101C4B: 90 03
00101C4C: 90 00
00101C4D: 90 00
00101ED1: 90 50
00101ED2: 90 8B
00101ED3: 90 01
00101ED4: 90 A3
00101ED5: 90 A4
00101ED6: 90 0F
00101ED7: 90 86
00101ED8: 90 00
00101ED9: 90 58
00101EDA: 90 E9
00101EDB: 90 65
00101EDC: 90 FD
00101EDD: 90 FF
00101EDE: 90 FF
00101FF5: E8 E9
00101FF6: 76 D7
00101FF7: 57 FE
00101FF8: 0C FF
00101FF9: 00 FF
0017376E: A1 E9
0017376F: E4 40
00173770: 29 01
00173771: 8C 00
001738B3: 90 51
001738B4: 90 B9
001738B5: 90 32
001738B6: 90 00
001738B7: 90 00
001738B8: 90 00
001738B9: 90 6A
001738BA: 90 64
001738BB: 90 E9
001738BC: 90 71
001738BD: 90 01
001738BE: 90 00
001738BF: 90 00
00173A31: 90 FF
00173A32: 90 15
00173A33: 90 4C
00173A34: 90 7A
00173A35: 90 8C
00173A36: 90 00
00173A37: 90 49
00173A38: 90 E9
00173A39: 90 27
00173A3A: 90 01
00173A3B: 90 00
00173A3C: 90 00
00173B64: 90 A1
00173B66: 90 25
00173B67: 90 8A
00173B68: 90 00
00173B69: 90 85
00173B6A: 90 C0
00173B6B: 90 EB
00173B6C: 90 3B
00173BA8: 90 0F
00173BA9: 90 84
00173BAA: 90 99
00173BAB: 90 00
00173BAC: 90 00
00173BAD: 90 00
00173BAE: 90 EB
00173BAF: 90 33
00173BE3: 90 85
00173BE4: 90 C9
00173BE5: 90 0F
00173BE6: 90 85
00173BE7: 90 CE
00173BE8: 90 FC
00173BE9: 90 FF
00173BEA: 90 FF
00173BEB: 90 EB
00173BEC: 90 44
00173C31: 90 8B
00173C32: 90 0D
00173C33: 90 A4
00173C34: 90 0F
00173C35: 90 86
00173C36: 90 00
00173C37: 90 E8
00173C38: 90 34
00173C39: 90 1A
00173C3A: 90 02
00173C3B: 90 00
00173C3C: 90 EB
00173C3D: 90 09
00173C47: 90 59
00173C48: 90 EB
00173C49: 90 79
00173CC3: 90 A1
00173CC4: 90 E4
00173CC5: 90 29
00173CC6: 90 8C
00173CC7: 90 00
00173CC8: 90 E9
00173CC9: 90 A6
00173CCA: 90 FA
00173CCB: 90 FF
00173CCC: 90 FF
001D2612: 8B EB
001D2613: 44 7D
001D2614: 24 90
001D2615: 0C 90
001D2691: 90 8B
001D2692: 90 88
001D2693: 90 E4
001D2694: 90 01
001D2695: 90 00
001D2696: 90 00
001D2697: 90 6A
001D2698: 90 FF
001D2699: 90 E9
001D269A: 90 85
001D269B: 90 00
001D269C: 90 00
001D269D: 90 00
001D2723: 90 E8
001D2724: 90 98
001D2725: 90 CA
001D2726: 90 F5
001D2727: 90 FF
001D2728: 90 E9
001D2729: 90 89
001D272A: 90 00
001D272B: 90 00
001D272C: 90 00
001D27B6: 90 8B
001D27B7: 90 44
001D27B8: 90 24
001D27B9: 90 0C
001D27BA: 90 E9
001D27BB: 90 57
001D27BC: 90 FE
001D27BD: 90 FF
001D27BE: 90 FF



#2 Decoupled data for AGM-65D and AGM-65G
=========================================

I decoupled data for AGM-65D and AGM-65G A2G missile. In F4 v1.08 original
they shared same performance (.dat) entries.


File(s) changed:
----------------
"FALCON4.ct" in folder "\Falcon4\terrdata\objects"
"FALCON4.SWD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"Simdata.ZIP" in folder "\Falcon4\Zips"


What was changed:
-----------------

a) Changed AGM-65D and AGM-65G data files
-----------------------------------------
I changed "agm65g.veh", erased "agm65dg.dat" and added "agm65d.dat" and
"agm65g.dat" files to "Simdata.zip".

Note:
For AGM-65D and AGM-65G I copied old (now erased) AGM-65DG ".dat" file


Original "agm65g.veh" (excerpts):

# Data Idx
3

Created "agm65g.veh" (excerpts):

# Data Idx
51


b) Changed AGM-65G performance data
-----------------------------------
I changed pointer to newly created ".dat" file (Simdata.zip/misdata).

.swd (h:30, v:0C) address 2A2 from 03 (03) to 33 (51)



#3 Additional fix for missiles (A2A and A2G)
============================================

"Hoola" and Paul Stewart additionally fixed missiles (A2A and A2G).

The AIM-7, AGM-45/65AB/65D/65G/88, AS-7/10/11/12/14 were modified.


File(s) changed:
----------------
"Simdata.ZIP" in folder "\Falcon4\Zips"
"FALCON4.ICD" in folder "\Falcon4\terrdata\objects"
"FALCON4.VSD" in folder "\Falcon4\terrdata\objects"
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

".wcd":

AGM-88: Changed weight from 807 to 796
AGM-45: Changed weight from 426 to 390
AS-7:	  Changed weight from 772 to 634, and drag from 6 to 10
AS-10:  Changed drag from 6 to 10
AS-11:  Changed weight from 800 to 1411, and drag from 8 to 22
AS-12:  Changed weight from 800 to 705
AS-14:  Changed weight from 1323 to 1477, and drag from 10 to 18

".svd":
Maverick and OPFOR A/G missiles range was changed from 60762.1 to 48608.9 .


Other modifications are listed in separate files that "Hoola" provided.



#4 Graphical changes for AA-6 and AA-6R
=======================================

I changed graphical representation for AA-6 and AA-6R (changed in v0.16 #4).


File(s) changed:
----------------
"FALCON4.CT" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

New graphics pointers were added for the AA-6 and AA-6R. The AA-7 and AA-7R
was uses as closest match.



#5 Additional adjustment for weapon blast/damage
================================================

Jeffery "Rhino" Babineau (Deltahawks) and Eric "Snacko" Marlow additionally
adjusted weapon blast/damage.


File(s) changed:
----------------
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

AAA blast radius were changed for all caliber AAA guns (to allow less
accurate, and less damaging shots).



#6 Additional fix for default bubble deaggregation ranges
=========================================================

Kurt "Froglips" Giesselman is coordinator for so called "Bubble Mafia"
sub-group. They additionally fixed default bubble deaggregation ranges.

With the unlocking of the bubble slider and the discovery of Unit and
Objective Deaggregation Distances by Sylvain Gagnon, iBETA has been able to
improve the realism, accuracy, and effectiveness of a number of items in
Falcon4. To obtain the realism that iBETA has designed into RP the Bubble
Slider Setting (BSS) should be set to three (3) for single player Tactical
Engagements and Campaigns. Settings lower than three (3) are appropriate for
multiplayer sessions. For multiplayer sessions will generally require trading
off realism for frame rates.

This iBeta patch includes the Bubble Tweaker utility. Individual adjustments
are now available for all Units and Objectives. Use with caution.

The bubble slider is simply a multiplier of fixed deaggregation ranges. 
Based on the iBeta BSS of three(3), the following multipliers apply (use the
command line switch -gx 8=MAX to access BSS values greater than seven.

1	0.25
3	0.5
7	1.0
11	1.5
15	2.0
19	2.5
23	3.0
27	3.5
31	4.0
35	4.5
39	5.0
43	5.5
47	6.0
49	6.25

These multipliers will give the actual distance that a Unit or Objective will
deaggregate in a single player game. The BSS factor times the distance in
miles shown on the Bubble Tweaker sliders is actual deaggregation distance.
The composite player position that combines player bubbles in multiplayer
games makes the deaggregation distances dynamic and impossible to quote at a
fixed number.

The effect of these changes are:
a) SAM missiles power up at deaggregation and begin to search. SAM missiles
   lock on at maximum launch range and launch when the target is within
   parameters
b) AI aircraft can hit fixed ground targets (Objectives) with dumb bombs
c) Ground Units are deaggregated at the maximum effective range of the
   APG-68 ground radar without use of the cursor bubble
d) Fixed wing aircraft are deaggregated at 30 miles to facilitate sorting,
   this also means that enemy aircraft missiles target and perform in a
   realistic manner

A final word on frame rates. The effects of these changes on your frame
rates are machine specific and iBETA can not predict them. We have made
every effort to reduce the degradation of graphic's performance on a typical
computer. Your frame rates may decrease, increase, or remain the same
depending on your specific hardware configuration. We suggest that turning
down the Detail sliders (Terrain and Object) and the Special Effects slider
is the best way to recover frame rates while maintaining the realism we are
trying to achieve.
 

File(s) changed:
----------------
"FALCON4.CT" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

The ".ct" file entries (in feet) were changed as follows:

Objective Deaggregation Distances to                	182280
Fixed wing aircraft Unit Deaggregation Distances to 	182280
Rotary wing aircraft Unit Deaggregation Distances to 	 36456
Naval vessel Unit Deaggregation Distances to		 48608
Ground Unit Deaggregation Distances to		       36456
SAM Unit Deaggregation Distances to	maximum launch range + 10%


This means that the iBeta default Deaggregation Distances for Units and
Objectives with Bubble Slider Setting at three (3) are:

                      deaggregation @ (nm)
Fixed wing aircraft                    30
Rotary wing aircraft                    6
Naval Units                             8
Ground Units                            6
Fixed SAMs                             maximum launch range + 10%
All Objectives                         30



#7 Additional fix for aircraft payload (hardpoints)
---------------------------------------------------

Jeffery "Rhino" Babineau (Deltahawks) and Eric "Snacko" Marlow additionally
fixed aircraft payload (hardpoints).


File(s) changed:
----------------
"FALCON4.WLD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a)
Updated F-16 wingtip hardpoints to give priority loading to AIM-120, as
the AIM-120 is most commonly used on the wing hardpoint. The AIM-9P was also
given secondary priority status on wingtip hardpoint

b)
Removed the AT-9 A2G missile from the SU-25 (we model the "A" model SU-25,
and the "A" doesn't carry the AT-9)



#8 Additional rename fix many weapons
-------------------------------------

"Hoola" additionally renamed many weapons.


File(s) changed:
----------------
"FALCON4.WCD" in folder "\Falcon4\terrdata\objects"
"FALCON4.SWD" in folder "\Falcon4\terrdata\objects"


What was changed:
-----------------

a)
AIM-7 renamed to AIM-7M and also renamed in cockpit (on MFD) from A-7 to A-7M

b)
CB87 renamed in cockpit (on MFD) to CB87B

c)
CB97 renamed in cockpit (on MFD) to CB97B

d)
GBU-10A/B renamed to GBU-10C/B and also renamed in cockpit (on MFD) from
GB10A to GB10C

e)
Mk-20 renamed to Mk-20D and also renamed in cockpit (on MFD) from
MK20D to M20D

f)
MK82 renamed in cockpit (on MFD) to M82

g)
MK84 renamed in cockpit (on MFD) to M84



#9 Fix for Airbase relocation bug
=================================

Thanks to "MadMax" we now have fixed Airbase relocation bug.


File(s) changed:
----------------
"Falcon4.exe" inside "\Falcon4"


What was changed:
-----------------
22 bytes inside code.

Comparing pre-patched and patched exe:

001015B8: FF E9
001015B9: 92 08
001015BA: C8 01
001015BB: 01 00
001015BD: 00 90
001016CB: 85 8B
001016CC: C0 D0
001016CD: 74 8B
001016CE: 0A 06
001016CF: 57 8B
001016D0: 56 CE
001016D1: E8 FF
001016D2: AA 90
001016D3: 3E E4
001016D6: 83 00
001016D7: C4 03
001016D8: 08 C2
001016D9: 8B E9
001016DA: 44 E0
001016DB: 24 FE
001016DC: 14 FF
001016DD: 8B FF



#10 Names database additionally changed
=======================================

Eric "Snacko" Marlow additionally changed names database inside F4.


File(s) changed:
----------------
"Strings.wch" inside "\Falcon4\campaign\SAVE"


What was changed:
-----------------
"Frgmnt" was used instead of "Debris"

******************************************************************************





Leo "Apollo11"

(leonardo.rogic@zg.tel.hr)

ICQ UIN: 193725

Leonardo Rogic
Zagreb, Croatia
